<?php

/**
 * structure:
 * $config = array(
 * 		[faculty_id] => array(
 * 			'modificators_include' => [path to the modificators class],
			'modificators_class' => [name of the modificators class],
			'records_include' => [path to the records class],
			'records_class' => [name of the records class]
			'generic_records_description' => [description text],
 * 			'rating_include' => [path to the rating class],
			'rating_class' => [name of the rating class]
 * 		),
 * 		...
 * );
 */

$config = array(
	1 => array(
		'modificators_include' => 'config/modificators/fmfi_modificators.class.php',
		'modificators_class' => 'FMFI_Modificators',
		'records_include' => 'config/records/fmfi_records.class.php',
		'records_class' => 'FMFI_Records',
		'generic_records_description' => "
					<ul>
						<li>
							modifiktory pre histriu tudentov
						</li>
						<li>
							modifiktor pre vzdialenos od Bratislavy
						</li>
						<li>
							zznam 'doktorand'
						</li>

						<li>
							modifiktor 'dlhie tdium'
						</li>
					</ul>",		
		'rating_include' => 'config/ratings/fmfi_rating.class.php',
		'rating_class' => 'FMFI_Rating',
	)
);

?>