<?php

class FMFI_Modificators extends Modificators {
		
	function generateGenericModificators() 
	{
		$result = 'OK';
		
		$tempResults = array();
		
		// historia studia
		$history = new History($this->db);
		$historyRecords = $history->getHistory($this->actualUser['student_id']);

		if ($this->actualUser['student_type'] == 'present') {
			
			if (is_array($historyRecords)) {
				foreach ($historyRecords as $historyRecord) {
					switch ($historyRecord['history_action']) {
						case 'Amgr':
							$tempResults['absolvent']['type'] = 'modificator';
							$tempResults['absolvent']['id'] = 9;
							$tempResults['absolvent']['name'] = 'KA9';
							$tempResults['absolvent']['value'] = 1;
						break;
						case 'V':
						case 'Z':
						case 'L':
							$tempResults['unfinished']['type'] = 'modificator';
							$tempResults['unfinished']['id'] = 5;
							$tempResults['unfinished']['name'] = 'KA5';
							$tempResults['unfinished']['value'] += 1;
						break;
						case 'S':
						
							$properStudyLength = 7777;
						
							switch ($this->actualUser['type']) {
								case 'magister_5':
									$name = 'KA6';
									$id = 6;
									$properStudyLength = 5;
								break;
								
								case 'magister_2':
									$name = 'KA7';
									$id = 7;
									$properStudyLength = 2;
								break;
								
								case 'bakalar':
									$name = 'KA8';
									$id = 8;
									$properStudyLength = 3;								
								break;								
							}
		
							$yearsOver = $historyRecord['end_year'] - $historyRecord['start_year'] - $properStudyLength + 3;
							
							if ($yearsOver > 0) {
								$tempResults['yearsover']['type'] = 'longer_study';
								$tempResults['unfinished']['id'] = $id;
								$tempResults['yearsover']['name'] = $name;
								$tempResults['yearsover']['value'] = $yearsOver;								
							}
							
						break;
					}
				}
			}
	
			// vzdialenost bydliska od Bratislavy
			if ($this->actualUser['distance'] <= 51) {			
				$tempResults['distance']['type'] = 'modificator';
				$tempResults['unfinished']['id'] = 10;
				$tempResults['distance']['name'] = 'KA10';			
				$tempResults['distance']['value'] = 1;
			}
		}
		
		if ($this->actualUser['student_type'] == 'new') {
			
			if (is_array($historyRecords)) {
				foreach ($historyRecords as $historyRecord) {
					switch ($historyRecord['history_action']) {
						case 'Amgr':
							$tempResults['absolvent']['type'] = 'modificator';
							$tempResults['unfinished']['id'] = 12;
							$tempResults['absolvent']['name'] = 'KN2';
							$tempResults['absolvent']['value'] = 1;
						break;
						case 'V':
						case 'Z':
						case 'L':
						case 'U':
							$tempResults['unfinished']['type'] = 'modificator';
							$tempResults['unfinished']['id'] = 14;
							$tempResults['unfinished']['name'] = 'KN4';
							$tempResults['unfinished']['value'] = 1;
						break;
						case 'S':						
							$tempResults['actualstudy']['type'] = 'modificator';
							$tempResults['unfinished']['id'] = 13;
							$tempResults['actualstudy']['name'] = 'KN3';
							$tempResults['actualstudy']['value'] = 1;								
							
						break;
					}
				}
			}
	
			// vzdialenost bydliska od Bratislavy
			if ($this->actualUser['distance'] <= 51) {			
				$tempResults['distance']['type'] = 'modificator';
				$tempResults['unfinished']['id'] = 11;
				$tempResults['distance']['name'] = 'KN1';			
				$tempResults['distance']['value'] = 1;
			}
		}

		// ulozenie modifikatorov
		foreach ($tempResults as $tempResult) {
			$this->saveModificatorRecord($tempResult['type'], $tempResult['name'], $tempResult['id'], $tempResult['value']);
		}


		return true;
	}
}

?>