<?php


class BasicRecords {
	
	var $actualUser;
	var $db;
	
	function BasicRecords($db) {
		$this->db = $db;
	}
	
	function assignUser($user) {
		$this->actualUser = $user;
	}
	
	function deleteRecord($recordId) {	
		if (!empty($recordId)) {
			$this->db->Query("DELETE FROM tblUserApplicationsRecords WHERE record_id='".$recordId."'");
		}
	}
	
	function getRecord($recordId) {
		return $this->db->Quick_fetch("SELECT * FROM tblUserApplicationsRecords WHERE record_id='".$recordId."'");
	}
	
	function saveRecord($type, $comment, $modificatorData = array(), $recordId = null) {		
		
		if (!empty($recordId)) {
			$this->deleteRecord($recordId);
		}
		else {	
			if (count($modificatorData)) {
				$modificatorCondition = " AND modificator_type='".$modificatorData['type']."'";
			}
			else {
				$modificatorCondition = '';
				$modificatorData = array('type' => 0, 'value' => 0);
			}
			
			if (get_magic_quotes_runtime == 0) {
				$comment = addslashes($comment);
			}
			
			$this->db->Query("DELETE FROM tblUserApplicationsRecords WHERE user_id='".$this->actualUser['user_id']."' AND record_type='".$type."'".$modificatorCondition);
			
			$recordId = 0;
		}
		
		$this->db->Query("
			INSERT INTO tblUserApplicationsRecords 
			(
				record_id,
				user_id,
				record_type,
				comment,
				modificator_type,
				modificator_count
			)
			VALUES 
			(
				'".$recordId."', 
				'".$this->actualUser['user_id']."', 
				'".$type."',
				'".$comment."',
				'".$modificatorData['type']."',
				'".$modificatorData['value']."'
			)");
	}
	
	function listRecords($type = '', $order_by = 'priority_no') {
		
		$whereCondition = array();
		if (!empty($type)) {
			$whereCondition[] = "sai.record_type='".$type."'";
		}
		
		$where = '';
		if (count($whereCondition)) {
			$where = ' AND '.implode(' AND ', $whereCondition);
		}
		
		$records = $this->db->GetResults("
			SELECT 
				*, rt.list_position, 
				rt.use_points,
				rt.priority_no,
				rt.group_position
			FROM
				tblUserApplicationsRecords as sai
			INNER JOIN
				tblRecordTypes as rt
			ON
				sai.record_type = rt.record_type_tag
			WHERE 
				sai.user_id='".$this->actualUser['user_id']."' ".$where."
			ORDER BY rt.$order_by");
		
		return $records;
	}
	
	function translateEntryTypeToHuman($entryType) {
		
		$entryTypeHuman = $this->db->Quick_fetch("SELECT record_type_name FROM tblRecordTypes WHERE record_type_tag='".$entryType."'");
		
		if (empty($entryTypeHuman)) {
			return $entryType;
		}
		else {
			return $entryTypeHuman['record_type_name'];
		}
	}
}

class Records extends BasicRecords {
	function generateGenericRecords() {

	}
}

?>