<?php

class FMFI_Rating extends Rating 
{
	function getValue($application, $type)
	{
		switch ($type)
		{
			case 'present' :
				
				if ($application['type'] == 3 ||
					$application['type'] == 6)
				{
					$result = 0;
				}
				else
				{
					$result = 
						$application['rating'] 
							+
						round(3 / ((0.0004 * ($application['distance'] * $application['distance'])) + (0.6 * $application['distance']) + 3), 3);
				}
			break;

			case 'new':
				$ratingCount = $ratingProfileCount = 0;
				$ratingProfile = $rating = 0;
				
				for ($g = 1; $g <= 3; $g++) {
					
					if (!empty($application['rating_profile'.$g])) {
						$ratingProfile += $application['rating_profile'.$g];
						$ratingProfileCount++;
					}
				}
	
				if (!empty($ratingProfileCount)) {
					$ratingProfile = $ratingProfile / $ratingProfileCount;
					$ratingCount++;
				}
				
				for ($g = 1; $g <= 3; $g++) {
					
					if (!empty($application['rating'.$g])) {
						$rating += $application['rating'.$g];
						$ratingCount++;
					}
				}
							
				$result = round((!empty($ratingCount) ? (($rating + $ratingProfile) / $ratingCount) : 0), 3);
			break;
		}
		
		return $result;
	}
}