<?php

function showMessage(&$xtpl, $message, $showBackLinks = true) {
global $faculty;

	if ($showBackLinks) {
		$xtpl->parse('main.back_top');
		$xtpl->parse('main.back_bottom');
	}

	if (!empty($message['list_tag']))
	{
		$message['body'] .= renderList($message['list_tag']);
	}
	
	$message['subject'] = str_replace('%FACULTY_ABBREVIATION%%', $faculty['abbreviation'], $message['subject']);
	$message['perex'] = str_replace('%FACULTY_ABBREVIATION%%', $faculty['abbreviation'], $message['perex']);
	$message['body'] = str_replace('%FACULTY_ABBREVIATION%%', $faculty['abbreviation'], $message['body']);
	
	$xtpl->assign('MESSAGE', $message);
	$xtpl->parse('main.message_content');
	
}

function getBindedUserId($register_data, $student_type)
{
	global $db;
	global $faculty;
	
	if (empty($register_data['student_id']))
	{
		if ($student_type == 'present')
		{
			$field = 'ISIC';
			$fieldValue = $register_data['isic'];
		}
		else
		{
			$field = 'birth_number';
			$fieldValue = $register_data['birth_number'];
		}
		
		$student_data = $db->GetResult("
			SELECT
				student_id
			FROM
				tblStudents
			WHERE
				$field = '$fieldValue'
					AND
				faculty_id = '{$faculty['id']}'");
		
		$register_data['student_id'] = $student_data['student_id'];
	}
	
	$binding = $db->GetResult("
		SELECT
			user_id
		FROM
			tblUsersToStudentsBindings
		WHERE
			student_id = '{$register_data['student_id']}'");
	
	if (empty($binding['user_id']))
	{
		$binding = $db->GetResult("
			SELECT
				MAX(user_id) + 1 AS user_id
			FROM
				tblUsersToStudentsBindings");
		
		$db->Query("
			INSERT INTO
				tblUsersToStudentsBindings
			SELECT
				'{$register_data['student_id']}' AS student_id,
				MAX(user_id) + 1 AS user_id
			FROM
				tblUsersToStudentsBindings");
	}
	
	$db->Query("
		DELETE FROM
			tblUsers
		WHERE
			user_id = '{$binding['user_id']}'");
	
	return $binding['user_id'];
}

function registerUser($data, $student_type = 'present') {
global $db;
global $faculty;
	
	$code = $data['e_mail_address'].$data['isic'].rand(100, 200);
	if (rand(0, 1)) {
		$code = strrev($code);
	}
	$code = md5($code);
	$code = substr($code, 0, 2).substr($code, 4, 2).substr($code, 8, 2).substr($code, 13, 2).substr($code, 16, 2).substr($code, 23, 2);
		
	$message = 'Dobry den '.$data["login"]."\n\n";
	$message .= " Uspesne ste sa zaregistrovali. Aby sa registracia stala platnou, je nutne navstivit tuto stranku (vacsinou staci kliknut na linku):\n\n";
	$message .= 'http://ubytovanie.fmph.uniba.sk/index.php?faculty_id=' . $faculty['id'] . '&verify='.$code."\n\n";
	$message .= 'Prihlasovacie meno: '.$data["login"]."\n";
//	$message .= 'Prihlasovacie heslo: '.$data["password"]."\n";
	$message .= "\n";
	$message .= 'Prajeme prijemny den.'."\n\n";
	$message .= "Ubytovacia komisia\n\n";
	
	$user_id = getBindedUserId($data, $student_type);
	
	$db->Query("
		INSERT INTO 
			tblUsers
		(
			user_id,
			login,
			password,
			e_mail_address,
			verification_hash
		)
		VALUES
		(
			'" . $user_id . "',
			'".addslashes($data['login'])."',
			'".md5($data['password'])."',
			'".addslashes($data['e_mail_address'])."',
			'".$code."'
		)");
	
	mail($data["e_mail_address"], 
		"Potvrdenie registracie v systeme pridelovania ubytovania", 
		$message,
		"From: ubytovanie@skas.fmph.uniba.sk\r\n"
		."Reply-To: ubytovanie@skas.fmph.uniba.sk\r\n"
		."Return-Path: ubytovanie@skas.fmph.uniba.sk\r\n"
		."X-Mailer: PHP/" . phpversion()); 		
	
	return $user_id;
}

function isLoginExists($login) {
global $db;

	$user = $db->GetResult("SELECT user_id FROM tblUsers WHERE login='".$login."'");
	
	if (!empty($user['user_id'])) {
		return true;
	}
	else {
		return false;
	}

}

function getStudentsForIdentificator($ISIC, $birth_number = '')
{
	global $db;
	global $faculty;
	
	if (!empty($ISIC))
	{
		$field = 'ISIC';
		$fieldValue = $ISIC;
	}
	else
	{
		$field = 'birth_number';
		$fieldValue = $birth_number;
	}
	
	$students = $db->GetResults("
		SELECT
			s.*,
			st.name AS study_type,
			ss.name AS section_name
		FROM
			tblStudents AS s
		LEFT JOIN
			tblStudyTypes AS st
		ON
			s.type = st.id
		LEFT JOIN
			tblStudySections AS ss
		ON
			s.section = ss.section_id
		WHERE
			$field = '$fieldValue'
				AND
			s.faculty_id = '{$faculty['id']}'");
	
	return $students;
}

function isValidISIC($isic) {
global $db;
global $faculty;

	$isic=preg_replace("/[^A-Z0-9]/", "", $isic);
	if ($isic=='') return false;

/*	$res = array();
	exec("wget -O - https://anketa.uniba.sk/remote_login/remote_login.php --no-check-certificate --post-data=isic1={$isic}", $res);

	if (!isset($res[0]) || $res[0]!='OK') return false;

	$_POST['real_isic']=$_POST['isic'];
	$_POST['isic']=$res[1];
	$_REQUEST['ISIC']=$res[1];*/

//	$user = $db->GetResults("SELECT ISIC FROM tblUsers WHERE ISIC='".$res[1]."'");
//	if (count($user)>0) return false;

	return true;

	if (!trim($isic)) {
		return false;
	}

	$student = $db->GetResult("
		SELECT
			ISIC
		FROM
			tblStudents
		WHERE
			ISIC='".$isic."'
				AND
			faculty_id = '{$faculty['id']}'");

	return ($isic == $student['ISIC']);

}

function isValidBirthNumber($birthNumber) {
global $db;
global $faculty;

	if (!trim($birthNumber)) {
		return false;
	}

	$student = $db->GetResult("
		SELECT
			birth_number
		FROM
			tblStudents
		WHERE
			birth_number='".$birthNumber."'
				AND
			faculty_id = '{$faculty['id']}'");
	
	return ($birthNumber == $student['birth_number']);

}

function isEmailAddressExists($emailAddress) {
global $db;

	$user = $db->GetResult("SELECT user_id FROM tblUsers WHERE e_mail_address='".$emailAddress."'");
	
	if (!empty($user['user_id'])) {
		return true;
	}
	else {
		return false;
	}
}

function verifyRegistration($verificationHash) {
global $db;

	if (empty($verificationHash)) {
		return 'FAIL';
	}

	$user = $db->GetResult("SELECT user_id, verified FROM tblUsers WHERE verification_hash='".$verificationHash."'");
	
	if (empty($user['user_id'])) {
		return 'FAIL';
	}

	if ($user['verified'] == 'yes') {
		return 'ALREADY_OK';
	}
	
	$now = date('Y-m-d H:i:s',time());
	$db->Query("UPDATE tblUsers SET verified='yes', verification_date='".$now."' WHERE user_id='".$user['user_id']."'");
	
	return 'OK';
}

function getStudentIdForUser($user_id)
{
	global $db;

	$binding = $db->GetResult("SELECT student_id FROM tblUsersToStudentsBindings WHERE user_id = '$user_id'");
	
	return $binding['student_id'];
}

function isCorrectLogin($login, $password) {
global $db;
global $faculty;

	if (empty($login) || empty($password)) {
		return false;
	}

	$user = $db->GetResult("
		SELECT
			user_id,
			password
		FROM
			tblUsers
		WHERE
			login='".addslashes($login)."'
				AND
			verified='yes'");

	if ($user['password'] == md5($password)) {
		
		$result['user_id'] = $user['user_id'];
		
		$student = $db->GetResult("
			SELECT 
				student_type,
				faculty_id
			FROM
				tblStudents
			WHERE
				student_id = '" . getStudentIdForUser($user['user_id']) . "'");
		
		if ($faculty['id'] != $student['faculty_id'])
		{
			return false;
		}
		
		$result['user_type'] = $student['student_type'];
		
		return $result;
	}
	else {
		return false;
	}
}


function isCorrectAdminLogin($login, $password) {
global $db;

	if (empty($login) || empty($password)) {
		return false;
	}

	$user = $db->GetResult("SELECT admin_id, password FROM tblAdmins WHERE login='".addslashes($login)."'");
	if ($user['password'] == md5($password)) {
		
		$result['admin_id'] = $user['admin_id'];
		
		return $result;
	}
	else {
		return false;
	}
}

function loadApplication($userId) {
global $db;
	$result = $db->GetResult("SELECT * FROM tblUserApplications WHERE user_id='".$userId."'");
	unset($result['user_id']);
	return $result;
}

function saveApplication($userId, $applyData, &$fields) {
global $db;

	$applicationStatus = $db->Quick_fetch("SELECT status FROM tblUserApplications WHERE user_id='".$userId."'");
	$applyData['status'] = (empty($applicationStatus['status']) ? 'undecided' : $applicationStatus['status']);

	$fields[] = 'status';
	
	foreach ($fields as $field) {
		$values[] = $applyData[$field];
	}
		
	$applicationStatus = $db->Query("REPLACE INTO tblUserApplications (user_id, ".implode(', ', $fields).") VALUES ('".$userId."', '".implode('\', \'', $values)."')");
}

function addPlace($userId) {
global $db;
	$places = $db->GetResult("SELECT max(order_no) AS places_count FROM tblUserPlaces WHERE user_id='".$userId."'");

	$db->Query("INSERT INTO tblUserPlaces (user_id, order_no) VALUES ('".$userId."', '".($places['places_count'] + 1)."')");
	
	return $db->Last_insert_id();
}

function loadPlace($placeId) {
global $db;
	return $db->GetResult("SELECT * FROM tblUserPlaces WHERE place_id='".$placeId."'");
}

function getLastYearPlace($userId) {
global $db;
global $season;

	$last_season_id = getLastSeasonId($season['id']);

	$places_data = array();

	if (!empty($last_season_id))
	{
		$query = "
			SELECT
				r.id AS room_id,
				b.id AS block_id,
				l.id AS locality_id,
				r.type,
				r.capacity
			FROM
				tblAssignedPlaces AS ap
			INNER JOIN
				tblPlaces AS p
			ON
				ap.place_id = p.place_id
			INNER JOIN
				tblRooms AS r
			ON
				p.room_id = r.id
			INNER JOIN
				tblBlocks AS b
			ON
				r.block_id = b.id
			INNER JOIN
				tblLocalities AS l
			ON
				b.locality_id = l.id
			WHERE
				ap.season_id = '$last_season_id'
					AND
				ap.user_id = '$userId'";
		
		$places_data = $db->GetResult($query);
		
		$places_data['locality_id'] = empty($places_data['locality_id']) ? 0 : $places_data['locality_id'];
		$places_data['block_id'] = empty($places_data['block_id']) ? 0 : $places_data['block_id'];
		$places_data['room_id'] = empty($places_data['room_id']) ? 0 : $places_data['room_id'];
	}

	return $places_data;
}
function getLastSeasonId($season_id)
{
	global $db;
	
	$season = $db->GetResult("SELECT id FROM tblSeasons WHERE id < '$season_id' ORDER BY id DESC LIMIT 1");
	
	return $season['id'];
}


function loadPlaces($userId) {
global $db;
	return $db->GetResults("SELECT place_id FROM tblUserPlaces WHERE user_id='".$userId."' ORDER BY order_no");
}

function setPlaceDescription($placeId, $description) {
global $db;
		$db->Query("UPDATE tblUserPlaces SET description = '".$description."' WHERE place_id='".$placeId."'");		
}

function setPlaceFlag($placeId, $flag) {
global $db;
		$db->Query("UPDATE tblUserPlaces SET flag = '".$flag."' WHERE place_id='".$placeId."'");		
}

function setPlaceRoom($placeId, $room) {
global $db;
		$res=$db->GetResults("SELECT locality_id, block_id, type, capacity FROM tblRooms JOIN tblBlocks ON tblRooms.block_id=tblBlocks.id WHERE tblRooms.id = '".$room."'");
		if (count($res)==0) return;

		$db->Query("UPDATE tblUserPlaces SET location = '".$res[0]['locality_id']."', block = '".$res[0]['block_id']."', room = '".$room."', has_internet = '".($res[0]['typ']=='internet'?'yes':'no')."', is_oneplace = '".($res[0]['kapacita']=='1'?'yes':'no')."' WHERE place_id='".$placeId."'");
}

function isPlaceRequestedThisYear($user_id, $places_data)
{
	global $db;
	
	$place = $db->GetResult("
		SELECT
			place_id
		FROM
			tblUserPlaces
		WHERE
			location = '{$places_data['locality_id']}'
				AND 
			block = '{$places_data['block_id']}'
				AND 
			room = '{$places_data['room_id']}'
				AND
			user_id = '$user_id'");
	
	return !empty($place['place_id']);
}

function setPlacesData($placeId, $places_data) {
global $db;

	$db->Query("
		UPDATE 
			tblUserPlaces
		SET
			location = '{$places_data['locality_id']}', 
			block = '{$places_data['block_id']}', 
			room = '{$places_data['room_id']}', 
			has_internet = '" . ($places_data['type'] == 'internet' ? 'yes' : 'no') . "', 
			is_oneplace = '" . ($places_data['capacity'] == '1' ? 'yes' : 'no') . "' 
		WHERE 
			place_id='".$placeId."'");
}

function getHumanNameOfThePlace($placeId, $place = array(), $withoutAdditionalInfo = false) {
global $db;	

	if (!count($place)) {
		$place = loadPlace($placeId);
	}
	
	$location = $db->GetResult("SELECT * FROM tblLocalities WHERE id='".$place['location']."'");
	$block = $db->GetResult("SELECT * FROM tblBlocks WHERE id='".$place['block']."'");
	$room = $db->GetResult("SELECT * FROM tblRooms WHERE id='".$place['room']."'");
	
	if ($place['is_oneplace'] == 'yes') {
		$result = 'jednotka';
		$end = '';
	}
	else {
		$result = 'miesto';
		$end = '';
	}		
	
	if (empty($place['location'])) {
		$result = 'hociktor'.$end.' '.$result;
	}
	else {
		if (empty($place['block'])) {
			$result = $location['name'].', hociktor'.$end.' '.$result;
		}
		else {
			if (empty($place['room'])) {
				$result = $location['abbreviation'].$block['name'].', hociktor'.$end.' '.$result;		
			}
			else {
				
				$jednotka = '';
				
				if (!$withoutAdditionalInfo) {
					if ($place['is_oneplace'] == 'yes') {
						$jednotka = ', jednotka';
					}
				}			
				
				$result = $location['abbreviation'].$block['name'].' '.$room['number'].$jednotka;
				
			}
		}
	}
	
	if ($place['has_internet'] == 'yes' && !$withoutAdditionalInfo) {
		$result .= ' s internetom';
	}
	
	return $result;
}

function movePlace($userId, $placeId, $direction) {
global $db;

	$place = loadPlace($placeId);
	
	switch ($direction) {
		case 'up':
			$changePlaces = $db->GetResults("SELECT place_id, order_no FROM tblUserPlaces WHERE order_no < '".$place['order_no']."' AND user_id='".$userId."' ORDER BY order_no DESC LIMIT 1");
		break;
		case 'down':
			$changePlaces = $db->GetResults("SELECT place_id, order_no FROM tblUserPlaces WHERE order_no > '".$place['order_no']."' AND user_id='".$userId."' ORDER BY order_no ASC LIMIT 1");
		break;
	}

	$changePlace = $changePlaces[0];
	if ($changePlace['order_no']) {
		$db->Query("UPDATE tblUserPlaces SET order_no = '".$changePlace['order_no']."' WHERE place_id = '".$placeId."'");
		$db->Query("UPDATE tblUserPlaces SET order_no = '".$place['order_no']."' WHERE place_id = '".$changePlace['place_id']."'");
	}
	
}

function deletePlace($placeId) {
global $db;

	$db->Query("DELETE FROM tblUserPlaces WHERE place_id = '".$placeId."'");
}

//getHumanNameOfThePlace($placeId);
function editPlace($placeId, $count, $additionalInfo, $urlVariables = array()) {
global $db;
global $faculty;

	$edit = empty($_REQUEST['edit']) ? 'locations' : $_REQUEST['edit'];
	
	if (!empty($_GET['set_location'])) {
		$db->Query("UPDATE tblUserPlaces SET block = 0, room = 0 WHERE place_id='".$placeId."' AND location<>'".$_REQUEST['location']."'");		
		$db->Query("UPDATE tblUserPlaces SET location = '".$_REQUEST['location']."' WHERE place_id='".$placeId."'");		
	}
	
	if (!empty($_GET['set_block'])) {
		$db->Query("UPDATE tblUserPlaces SET room = 0 WHERE place_id='".$placeId."' AND block<>'".$_REQUEST['block']."'");		
		$db->Query("UPDATE tblUserPlaces SET block = '".$_REQUEST['block']."' WHERE place_id='".$placeId."'");		
	}
	
	if (!empty($_GET['set_room'])) {
		$room = $db->GetResult("SELECT * FROM tblRooms WHERE id='".$_REQUEST['room']."'");
		$has_internet = ($room['type']=='internet') ? 'yes' : 'no';
		$is_oneplace = ($room['capacity']=='1') ? 'yes' : 'no';

		$db->Query("UPDATE tblUserPlaces SET room = '".$_REQUEST['room']."', has_internet = '".$has_internet."', is_oneplace = '".$is_oneplace."' WHERE place_id='".$placeId."'");
	}
	
	if (!empty($_GET['set_room']) || !empty($_GET['set_block']) || !empty($_GET['set_location']) || !empty($_GET['set_global']) || !empty($_GET['back']))
	{
		$db->Query("UPDATE tblUserPlaces SET has_internet = '".(empty($_REQUEST['has_internet']) ? 'no' : 'yes')."', is_oneplace = '".(empty($_REQUEST['is_oneplace']) ? 'no' : 'yes')."' WHERE place_id='".$placeId."' AND room = 0");
		$db->Query("UPDATE tblUserPlaces SET description = '".addslashes($_REQUEST['description'])."' WHERE place_id='".$placeId."'");
	}
		
	$xtpl = new XTemplate('out/tpl/roomselect.tpl');
	$xtpl->assign('FACULTY', $faculty);
	
	if (!empty($_GET['set_global'])) {
		return 'DONE';
	}
	else {
		
		$gatheredData = loadPlace($placeId);
	
		if (!empty($_GET['back'])) {
			switch ($edit) {
				case 'global':
					if (empty($gatheredData['location'])) {
						$edit = 'locations';
					}
					elseif (empty($gatheredData['block'])) {
						$edit = 'blocks';
					}
					else {
						$edit = 'rooms';
					}
				break;
				
				case 'rooms':
					$edit = 'blocks';
				break;
				
				case 'blocks':
					$edit = 'locations';
				break;
			}
		}
		
		if (!empty($_GET['set_location'])) {
			if (!empty($gatheredData['location'])) {
				$edit = 'blocks';
			}
			else {
				$edit = 'global';
			}
		}
	
		if (!empty($_GET['set_block'])) {
			if (!empty($gatheredData['block'])) {
				$edit = 'rooms';
			}
			else {
				$edit = 'global';
			}
		}
		
		if (!empty($_GET['set_room'])) {
			$edit = 'global';
		}	
		
		switch ($edit) {
			case 'locations':
				$choose = 'Vyberte internt';
			break;
			case 'blocks':
				$choose = 'Vyberte blok';
			break;
			case 'rooms':
				$choose = 'Vyberte izbu';
			break;
			case 'global':
				$choose = 'Vyplte ostatn daje';
			break;
		}
				
		$xtpl->assign('ACTIVE', array($edit => ' class="selected"'));
		
		$xtpl->assign('DESCRIPTION', htmlspecialchars(stripslashes($gatheredData['description'])));
		$xtpl->assign('CHOOSE', $choose);
		
		$checkbox['has_internet'][$gatheredData['has_internet']] = ' checked="checked"';
		$checkbox['is_oneplace'][$gatheredData['is_oneplace']] = ' checked="checked"';
		$checkbox['fixed_room'][($gatheredData['room']!='' && $gatheredData['room']!='0') ? 'yes' : ''] = ' disabled="disabled"';
			
		$xtpl->assign('CHECKBOX', $checkbox);
	
		if ($edit == 'global') {
			$xtpl->parse('main.form.global_buttons');
		}
		
		foreach ($urlVariables as $urlVariable) {
			$hidden['name'] = $urlVariable;
			$hidden['value'] = $_REQUEST[$urlVariable];
			$xtpl->assign('HIDDEN', $hidden);
			$xtpl->parse('main.form.hidden');	
		}
		
		$xtpl->assign('EDIT', $edit);
		$xtpl->assign('PLACE_ID', $placeId);
		
		// lokality
		if ($edit == 'locations') {
			$locations = $db->GetResults("SELECT * FROM tblLocalities");
			
			if ($count == 'MANY') {
				$xtpl->parse('main.form.locations_editable.alllocations');
			}
			foreach ($locations as $location) {
				
				if ($gatheredData['location'] == $location['id']) {
					$location['selected'] = ' selected="selected"';
				}
				else {
					$location['selected'] = '';
				}
				
				$xtpl->assign('LOCATION', $location);
				$xtpl->parse('main.form.locations_editable.location');
			}
			$xtpl->parse('main.form.locations_editable');
		}
		else {
			
			$location = $db->GetResult("SELECT * FROM tblLocalities WHERE id='".$gatheredData['location']."'");
			
			if (!empty($location['name'])) {
					$locationContent = $location['name'];
			}
			else {
				if ($count == 'MANY') {
					$locationContent = 'vetky lokality';
				}
				else {
					$locationContent = 'nebola vybran';
				}
			}
			
			$xtpl->assign('LOCATION', $locationContent);
			$xtpl->parse('main.form.locations_static');
		}
		
		// bloky	
		if ($edit == 'blocks' && $gatheredData['location']) {
			$blocks = $db->GetResults("SELECT * FROM tblBlocks WHERE locality_id='".$gatheredData['location']."'");
			
			if ($count == 'MANY') {
				$xtpl->parse('main.form.blocks_editable.allblocks');
			}
			
			foreach ($blocks as $block) {
				
				if ($gatheredData['block'] == $block['id']) {
					$block['selected'] = ' selected="selected"';
				}
				else {
					$block['selected'] = '';
				}
				
				$xtpl->assign('BLOCK', $block);
				$xtpl->parse('main.form.blocks_editable.block');
			}	
			$xtpl->parse('main.form.blocks_editable');
		}
		else {
			
			$block = $db->GetResult("SELECT * FROM tblBlocks WHERE id='".$gatheredData['block']."'");
			
			if (!empty($block['name'])) {
				$blockContent = $block['name'];
			}
			else {
				if ($count == 'MANY') {
					$blockContent = 'vetky bloky';
				}
				else {
					$blockContent = 'nebol vybran';
				}
			}
			
			$xtpl->assign('BLOCK', $blockContent);
			$xtpl->parse('main.form.blocks_static');
		}	
	
		// izby	
		if ($edit == 'rooms' && $gatheredData['block']) {
			$rooms = $db->GetResults("SELECT * FROM tblRooms WHERE block_id='".$gatheredData['block']."'");
			
			if ($count == 'MANY') {
				$xtpl->parse('main.form.rooms_editable.allrooms');
			}
			
			foreach ($rooms as $room) {
				
				if ($gatheredData['room'] == $room['id']) {
					$room['selected'] = ' selected="selected"';
				}
				else {
					$room['selected'] = '';
				}
				
				$xtpl->assign('ROOM', $room);
				$xtpl->parse('main.form.rooms_editable.room');
			}		
			$xtpl->parse('main.form.rooms_editable');
		}
		else {
			
			$room = $db->GetResult("SELECT * FROM tblRooms WHERE id='".$gatheredData['room']."'");
			
			if (!empty($room['number'])) {
				$roomContent = $room['number'];
			}
			else {
				if ($count == 'MANY') {
					$roomContent = 'vetky izby';
				}
				else {
					$roomContent = 'nebola vybran';
				}
			}
			
			$xtpl->assign('ROOM', $roomContent);
			$xtpl->parse('main.form.rooms_static');
		}	
	
		$xtpl->parse('main.form');
	}
	
	$xtpl->parse('main');
	return $xtpl->text('main');
	
}

function addFriend($userId) {
global $db;

	$db->Query("INSERT INTO tblUserFriends (user_id) VALUES ('".$userId."')");
	
	return $db->Last_insert_id();
}

function editFriend($userId, $friendId) {
global $db;
global $faculty;

	$xtpl = new XTemplate('out/tpl/friend.tpl');
	$error = '';
	
	$xtpl->assign('FACULTY', $faculty);

	$userInList = $db->GetResult("SELECT login, description FROM tblUserFriends WHERE friend_id='".$friendId."'");
	
	$login = empty($_REQUEST['login']) ? $userInList['login'] : $_REQUEST['login'];
	$description = empty($_REQUEST['description']) ? $userInList['description'] : $_REQUEST['description'];

	$xtpl->assign('LOGIN', $login);
	$xtpl->assign('DESCRIPTION', $description);
	
	$editableLogin = true;
	if (!empty($userInList['login'])) {
		$editableLogin = false;
		$xtpl->parse('main.static_login');
	}
	else {
		$xtpl->parse('main.editable_login');
	}
	
	if (!empty($_REQUEST['add_friend'])) {
		
		if (empty($_REQUEST['login'])) {
			$error = 'Nezadali ste iadne prihlasovacie meno.';
		}
		else {
			$user = $db->GetResult("SELECT user_id FROM tblUsers WHERE login='".$_REQUEST['login']."'");
			if (empty($user['user_id'])) {
				$error = 'Pouvate s danm prihlasovacm menom neexistuje.';
			}
			else {
				$userInList = $db->GetResult("SELECT friend_id FROM tblUserFriends WHERE login='".$_REQUEST['login']."' AND user_id='".$userId."'");
				
				if (!empty($userInList['friend_id']) && $editableLogin) {
					$error = 'Zadan pouvate u je vo Vaom zozname kamartov.';
				}
				else {
					$thisUser = $db->GetResult("SELECT login FROM tblUsers WHERE user_id='".$userId."'");
					if ($thisUser['login'] == $_REQUEST['login']) {
						$error = 'Dobr pokus. :-) Ale nemete seba prida do zoznamu.';
					}
					else {
						$db->Query("UPDATE tblUserFriends SET login = '".$_REQUEST['login']."' WHERE friend_id = '".$friendId."'");
						$db->Query("UPDATE tblUserFriends SET description = '".addslashes($_REQUEST['description'])."' WHERE friend_id = '".$friendId."'");
						
						return 'DONE';
					}
				}
			}
		}
			
	}
	
	if (!empty($error)) {	
		$xtpl->assign('ERROR', $error);
		$xtpl->parse('main.error');
	}
			
	$xtpl->assign('FRIEND_ID', $friendId);
	
	$xtpl->parse('main');
	
	return $xtpl->text('main');
}

function hasUserApplication($userId) {
global $db;

	$application = $db->GetResult("SELECT * FROM tblUserApplications WHERE user_id='".$userId."'");
	
	return !empty($application['user_id']) && $application['user_id'] == $userId;
}

function prefillApplication($user) {
global $db;

	$userId = $user['user_id'];
	$userType = $user['user_type'];
	
	//echo $userType.'adasd';

	$application = $db->GetResult("SELECT * FROM tblUserApplications WHERE user_id='".$userId."'");
	
	if ($application['user_id'] == $userId) {
		unset($application['user_id']);
		return $application;
	}
	
	switch ($userType) {
		case 'present':
			$studentData = $db->GetResult("SELECT * FROM tblStudents WHERE student_id = '" . getStudentIdForUser($userId) . "'");

			$studentData['year'] = $studentData['year'] + 1;
			$studentData['sex'] = ($studentData['sex'] == 2 ? 'female' : 'male');
		
			return $studentData;
		break;
		
		case 'new':

			$studentData = $db->GetResult("SELECT * FROM tblStudents WHERE student_id='".getStudentIdForUser($userId)."'");

			$studentData['year'] = 1;
			$studentData['sex'] = ($studentData['sex'] == 2 ? 'female' : 'male');

			return $studentData;
		break;
	}
	
	return false;
	
}

function hasAdminRightToSection($adminId, $sectionId) {
global $db;

	$section = $db->Quick_fetch('SELECT section_id FROM tblAdminsRights WHERE admin_id=\''.$adminId.'\' AND section_id=\''.$sectionId.'\' LIMIT 1');
	
	return !empty($section['section_id']);
}

function getActiveSection($sectionId) {
global $db;

	$section = array();
	$section['error'] = 'NOT_EXISTS';
	
	if (!empty($sectionId)) {
		$section = $db->Quick_fetch('SELECT * FROM tblSections WHERE section_id=\''.$sectionId.'\' LIMIT 1');
		$section['error'] = 'OK';
	}
		
	return $section;
}

function parseHistory($history, $lastYear) {
	
	$parts = explode(' ', $history);
	
	$translateActions = array(
		'A' => 'Amgr', // uspesny absolvent - magister
		'B' => 'Abc',  // uspesny absolvent - bakalar
		'X' => 'X',    // prestup na inu fakultu
		'V' => 'V',    // vylucenie zo studia
		'Z' => 'Z',    // zanechanie studia
		'L' => 'L',    // stop (v minulosti)
		'S' => 'S',    // uspesne ukoncenie posledneho akademickeho roku
		'U' => 'U'     // prerusenie
	);
	
	$actions = array_keys($translateActions);
	
	$saves = array();
	$stack['start_year'] = $stack['end_year'] = 0;
	$stack['history_action'] = 'L';
	$saveStack = false;
	
	foreach ($parts as $part) {
		
		$partLength = strlen($part);

		$startYear = (int) substr($part, 0, 4);
		
		if (in_array($part{$partLength - 1}, $actions)) {
			$type = 'finished';
			$endYear =  (int) substr($part, $partLength - 5, 4);
			$action = $part{$partLength - 1};
		}
		elseif ($part{$partLength - 1} == '.') {
			$type = 'unfinished_terminated';
			$endYear =  $startYear + $partLength - 4;
			$action = ($endYear == $lastYear ? 'S' : 'L');
		}
		else {
			$type = 'unfinished_unterminated';
			$endYear = $startYear;
			$action = ($endYear == $lastYear ? 'S' : 'L');
		}
		
		
		if ($stack['start_year'] == 0) {
			if ($type == 'unfinished_unterminated') {
				$saveStack = true;
			}
			else {
				$saves[] = 'part';
			}
		}
		else {
			if ($type == 'finished') {
				if ($startYear - $stack['start_year'] == 1) {
					$saves[] = 'stack_part';
				}
				else {
					$saves[] = 'stack';
					$saves[] = 'part';
				}
			}
			else {
				$saves[] = 'stack';
				
				if ($type == 'unfinished_terminated') {
					$saves[] = 'part';
				}
				else {
					$saveStack = true;
				}
			}
			
		}
				
		foreach ($saves as $save) {
			switch ($save) {
				case 'part':
					$temp = array(
						'start_year' => $startYear,
						'end_year' => $endYear,
						'history_action' => $translateActions[$action]
					);				
				break;
				case 'stack':
					$temp = $stack;
					
					$stack['start_year'] = $stack['end_year'] = 0;
					$stack['history_action'] = 'L';	
				break;
				case 'stack_part':
					$temp = array(
						'start_year' => $stack['start_year'],
						'end_year' => $endYear,
						'history_action' => $translateActions[$action]
					);
					
					$stack['start_year'] = $stack['end_year'] = 0;
					$stack['history_action'] = 'L';						
				break;
			}
			
			$result[] = $temp;
		}
		
		if ($saveStack) {
			$stack['start_year'] = $startYear;
			$stack['end_year'] = $endYear;
			$stack['history_action'] = $endYear == $lastYear && $translateActions[$action] == 'L' ? 'S' : $translateActions[$action];
			$saveStack = false;
		}
		
		if (count($saves)) {
			$saves = array();
		}
	}
	
	if ($stack['start_year'] != 0) {
		$result[] = $stack;
	}
	
	return $result;
}

function generateApplicationOrder($applications, $type = 'present') {
global $db;
global $config;

	$records = new Records($db);
	$modificators = new Modificators($db);

	$applicationTypesList = array();
	$applicationsList = array();
	$orderIndexes = array();
	
	if (empty($config->rating_class))
	{
		$rating = new Rating();
	}
	else
	{
		$rating = new $config->rating_class();
	}
	
	foreach ($applications as $application) {

		$records->assignUser($application);
		$modificators->assignUser($application);
		
		// zaznamy ziadatela
		$userRecords = $records->listRecords();
		
		$compute = true;
			
		$application['modificators_points'] = 0;
		$application['comment'] = '';
		
		$application['rating'] = $rating->getValue($application, $type); 
		
		$application['modificators_points'] = 0;
		
		// ak ziadatel ma nejake zaznamy, tak vyberieme prvy (s najvacsou prioritou)
		if (is_array($userRecords) && count($userRecords) > 0)
		{
			$firstRecord = $userRecords[0];
			
			if ($firstRecord['list_position'] == 'removed') 
			{
				continue;
			}

			$application['comment'] = $firstRecord['comment'];

			$userModificator = $modificators->getModificatorsValue($firstRecord['record_type_tag']);
			$application['modificators_points'] = round($userModificator['value'] / 100, 3);
			
			if ($firstRecord['list_position'] == 'computed')
			{
				$firstRecord['record_type_tag'] = 'records';		
			}

			if (!empty($userModificator['comment']))
			{
				$application['comment'] = $userModificator['comment'];
			}

			if ($firstRecord['use_points'] == 'yes')
			{
				$orderValueTag = 'overal_rating';
			}
			else {
				$orderValueTag = 'surname';
			}
		}
		else
		{
			$firstRecord['list_position'] = 'computed';
			$firstRecord['record_type_tag'] = 'records';		
			
			$orderValueTag = 'overal_rating';
		}
		
		$application['overal_rating'] = $application['rating'] + $application['modificators_points'];
		$orderValue = $application[$orderValueTag];
		
		$f++;
		
		$application['list_position'] = $firstRecord['list_position'];
		
		$orderIndexes[$firstRecord['list_position']][$firstRecord['record_type_tag']][$f] = $orderValue;
		$applicationTypesList[$firstRecord['list_position']][$firstRecord['record_type_tag']][$f] = $application;	
		
		$applicationsList[$f] = $application;	
	}
	
	$listPositions = array('top', 'computed', 'bottom');
	$recordTypes = $db->GetResults("SELECT record_type_tag FROM tblRecordTypes ORDER BY group_position");	
	$recordTypes[]['record_type_tag'] = 'records';
	
	$orderingTypes = $ordering = array();
	foreach ($listPositions as $listPosition) {
		foreach ($recordTypes as $recordTypeData) {
			
			$recordType = $recordTypeData['record_type_tag'];
			
			if (is_array($orderIndexes[$listPosition][$recordType])) {
				
				$localOrderIndexes = $orderIndexes[$listPosition][$recordType];
				asort($localOrderIndexes);
				$localOrderIndexes = array_keys($localOrderIndexes);
				
				$orderingTypes[$listPosition][$recordType] = $localOrderIndexes;
				$ordering = array_merge($ordering, $localOrderIndexes);
				
			}
		}
	}
	
	$result['ordering'] = $ordering;
	$result['ordering_types'] = $orderingTypes;
	$result['application_types_list'] = $applicationTypesList;
	$result['applications_list'] = $applicationsList;
		
	return $result;
}

function getHumanNameForStudyType($study_type_id)
{
	global $db;
	
	$study_type = $db->Quick_fetch("SELECT name FROM tblStudyTypes WHERE id = '$study_type_id'");
	
	return $study_type['name'];
}

function getStudyTypes($faculty_id)
{
	global $db;
	
	return $db->GetResults("
		SELECT
			id,
			name
		FROM
			tblStudyTypes
		WHERE
			faculty_id = '$faculty_id'
		ORDER BY
			name");
}

function getStudySections($faculty_id)
{
	global $db;
	
	return $db->GetResults("SELECT section_id as value, name FROM tblStudySections WHERE faculty_id = '$faculty_id' ORDER BY name");
}

function showApplicationForm(&$page, $userDatas, $applicationData, $formUrl) {
global $db;
global $logged_admin;

	$registrationData = $userDatas['registration'];		
	$applicationFormData = $applicationData['internal'];
	$userFormData = $userDatas['user']['internal'];

	$page->assign('FORM_URL', $formUrl);
	$page->assign('REGISTRATION_DATA', $registrationData);
	$page->assign('APPLICATION_DATA', $applicationFormData);
	$page->assign('USER_DATA', $userFormData);
	
	$select['sex'][$applicationFormData['sex']] = ' selected="selected"';
	$select['smoking'][$applicationFormData['smoking']] = ' selected="selected"';
	$select['student_type'][$userFormData['student_type']] = ' selected="selected"';
	
	$types = getStudyTypes($logged_admin['faculty']['id']);

	foreach ($types as $type) {
		
		if ($applicationFormData['type'] == $type['id']) {
			$type['select'] = ' selected="selected"';
		}
		else {
			$type['select'] = '';
		}
		
		$page->insert_loop('main.students_additional_info.user_details_edit.type', 'TYPE', $type);
	}
	
	$schoolSections = getStudySections($logged_admin['faculty']['id']);
	
	foreach ($schoolSections as $schoolSection) {
		
		if ($applicationFormData['section'] == $schoolSection['value']) {
			$schoolSection['select'] = ' selected="selected"';
		}
		else {
			$schoolSection['select'] = '';
		}
		
		$page->insert_loop('main.students_additional_info.user_details_edit.school_section', 'SCHOOL_SECTION', $schoolSection);
	}
	
	$page->assign('SELECT', $select);	
	
}

function saveApplicationForm($type = 'edit') {
global $db;
global $logged_admin;
global $userId;

	$faculty_id = $logged_admin['faculty']['id'];

	$ISIC = substr($_REQUEST['ISIC'], 0, 10);
	$birthNumber = substr($_REQUEST['birth_number'], 0, 20);
	
	if (empty($ISIC) && empty($birthNumber)) {
		return 'ERROR_ID';
	}
	
	if (empty($ISIC)) {
		$ISIC = 'NULL';
	}
	else {
		$ISIC = "'".$ISIC."'";
	}
	
	if (empty($birthNumber)) {
		$birthNumber = 'NULL';
	}
	else {
		$birthNumber = "'".$birthNumber."'";
	}

	switch ($type) {
		case 'new':
			
			$studentId = $_REQUEST['student_id'];

			// musime vytvorit novu 'generic' registraciu, ktora bude neoverena
			
			// zistime pocet 'generic' registracii
			$registration = $db->Quick_fetch("SELECT SUBSTRING(login, 8, 3) as number FROM tblUsers where login LIKE 'generic___' ORDER BY BINARY login DESC LIMIT 1");
			
			$newRegistrationNumber = ((int) $registration['number']) + 1;
			
			$newRegistrationNumber = str_pad($newRegistrationNumber, 3, '0', STR_PAD_LEFT);
			
			$userId = getBindedUserId(
				array(
					'isic' => $ISIC, 
					'birth_number' => $birthNumber,
					'student_id' => $studentId
				), 
				$type == 'present' ? $type : 'new'
			);

			// vytvorime novu registraciu
			$db->Query("INSERT INTO tblUsers
				(
					user_id,
					login,
					password,
					e_mail_address,
					verified,
					verification_date,
					verification_hash
				)
				VALUES
				(
					'$userId', 
					'generic".$newRegistrationNumber."',
					'".md5('generic'.$newRegistrationNumber)."',
					'".$_REQUEST['e_mail_address']."',
					'no',
					NULL,
					NULL
				)");
			$status = 'undecided';
		break;
		
		case 'edit':
			$userId = $_REQUEST['user_id'];
			$studentId = $_REQUEST['student_id'];
			
			// zmenime e-mailovu adresu, rodne cislo alebo cislo ISIC

			$db->Query("UPDATE tblUsers SET e_mail_address = '".$_REQUEST['e_mail_address']."' WHERE user_id='".$userId."'");
			
			$applicationStatus = $db->Quick_fetch("SELECT status FROM tblUserApplications WHERE student_id='".$studentId."'");
			$status = $applicationStatus['status'];
		default:
		break;
	}
	
	$db->Query("
		UPDATE tblStudents
		SET 
			ISIC = ".$ISIC.",
			birth_number = ".$birthNumber.",
			student_type = '".$_REQUEST['student_type']."',
			rating = '".$_REQUEST['rating']."',
			rating1 = '".$_REQUEST['rating1']."',
			rating2 = '".$_REQUEST['rating2']."',
			rating3 = '".$_REQUEST['rating3']."',
			rating_profile1 = '".$_REQUEST['rating_profile1']."',
			rating_profile2 = '".$_REQUEST['rating_profile2']."',
			rating_profile3 = '".$_REQUEST['rating_profile3']."'
		WHERE
			student_id='".$studentId."'");

	// ulozenie (zmena) ziadosti
	
	$db->Query("
		REPLACE INTO tblUserApplications
		(
			user_id,
			student_id,
			title,
			name,
			surname,
			sex,
			address,
			city,
			psc,
			type,
			year,
			section,
			smoking,
			distance,
			duration,
			message,
			sameroom,
			status,
			faculty_id
		)
		VALUES
		(
			'".$userId."',
			'".$studentId."',
			'',
			'".$_REQUEST['name']."',
			'".$_REQUEST['surname']."',
			'".$_REQUEST['sex']."',
			'".$_REQUEST['address']."',
			'".$_REQUEST['city']."',
			'".$_REQUEST['psc']."',
			'".$_REQUEST['type']."',
			'".$_REQUEST['year']."',
			'".$_REQUEST['section']."',
			'".$_REQUEST['smoking']."',
			'".$_REQUEST['distance']."',
			'',
			'".$_REQUEST['message']."',
			'".$_REQUEST['sameroom']."',
			'".$status."',
			'".$faculty_id."'
		)");
	
}

function getApplicationList($type = 'present') {
global $db;
global $active_season_id;
global $logged_admin;
global $faculty;

	if (!empty($logged_admin['faculty']['id']))
	{
		$faculty_id = $logged_admin['faculty']['id'];
	}
	else
	{
		$faculty_id = $faculty['id'];
	}

	$applications = array();
	$anotherConditions = '';
	
	switch ($type) {
		case 'new_undecided':
			$anotherConditions = ' AND a.status=\'undecided\'';
		case 'new':
			$applications = $db->GetResults("
				SELECT 
					distinct (a.user_id), 
					a.*, 
					s.name as section, 
					cs.student_id, 
					cs.rating1,
					cs.rating2,
					cs.rating3,
					cs.rating_profile1,
					cs.rating_profile2,
					cs.rating_profile3,
					CONCAT(l.abbreviation, b.name, ' ', i.number) AS room,
					l.abbreviation,
					b.name AS block_name,
					i.number
				FROM tblUserApplications AS a
				INNER JOIN tblStudySections AS s ON a.section = s.section_id
				INNER JOIN tblStudents AS cs ON a.student_id = cs.student_id AND cs.student_type = 'new'".$anotherConditions."
				LEFT JOIN tblAssignedPlaces AS ar ON a.user_id = ar.user_id
				LEFT JOIN tblPlaces AS pp ON ar.place_id = pp.place_id
				LEFT JOIN
					tblRooms as i	
					ON
						pp.room_id = i.id
				LEFT JOIN
					tblBlocks as b
					ON
					i.block_id = b.id
				LEFT JOIN
					tblLocalities as l
					ON
					b.locality_id = l.id
				WHERE
					a.faculty_id = '{$faculty_id}'
						AND
					ar.season_id = '$active_season_id'
						OR
					ar.season_id IS NULL");
		break;

		case 'present_undecided':
			$anotherConditions = ' AND a.status=\'undecided\'';
		case 'present':
			$applications = $db->GetResults("
				SELECT distinct (a.user_id), 
				a.*, 
				cs.rating, 
				s.name as section,
				cs.student_id,
					CONCAT(l.abbreviation, b.name, ' ', i.number) AS room,
					l.abbreviation,
					b.name AS block_name,
					i.number
				FROM tblUserApplications AS a
				INNER JOIN tblStudySections AS s ON a.section = s.section_id
				INNER JOIN tblStudents AS cs ON a.student_id = cs.student_id AND cs.student_type = 'present'".$anotherConditions."
				LEFT JOIN tblAssignedPlaces AS ar ON a.user_id = ar.user_id
				LEFT JOIN tblPlaces AS pp ON ar.place_id = pp.place_id
				LEFT JOIN
					tblRooms as i	
					ON
						pp.room_id = i.id
				LEFT JOIN
					tblBlocks as b
					ON
					i.block_id = b.id
				LEFT JOIN
					tblLocalities as l
					ON
					b.locality_id = l.id
				WHERE
					a.faculty_id = '{$faculty_id}'
						AND
					ar.season_id = '$active_season_id'
						OR
					ar.season_id IS NULL");
		break;
		
		case 'oneplace':
			$applications = $db->GetResults("
				SELECT distinct (a.user_id), 
				a.*, 
				cs.rating, 
				s.name as section, 
				a.distance, 
				cs.student_id 
				FROM tblUserApplications as a 
				INNER JOIN tblUserPlaces as j on a.user_id = j.user_id
				INNER JOIN tblStudySections AS s ON a.section = s.section_id
				INNER JOIN tblStudents AS cs ON a.student_id = cs.student_id
				WHERE j.is_oneplace='yes' AND cs.student_type = 'present'");
		break;

	}
	
	return $applications;
}

function getApplicationInCustomList($customListId) {
global $db;
global $faculty;
global $active_season_id;

	$applications = $db->GetResults("
		SELECT
			l.abbreviation,
			i.number,
			CONCAT(l.abbreviation, b.name, ' ', i.number) AS room,
			a.*, 
			st.*,
			a.surname,
			a.name AS name,
			a.year,
			s.name AS section
		FROM
			tblUserApplications as a
		LEFT JOIN
			tblStudents AS st
		ON
			a.student_id = st.student_id
		LEFT JOIN
			tblAssignedPlaces as ar
		ON
			a.user_id = ar.user_id
		LEFT JOIN
			tblPlaces AS pp	
		ON			
			ar.place_id = pp.place_id
		LEFT JOIN
			tblRooms as i	
			ON
				pp.room_id = i.id
		LEFT JOIN
			tblBlocks as b
			ON
			i.block_id = b.id
		LEFT JOIN
			tblLocalities as l
			ON
			b.locality_id = l.id
		LEFT JOIN
			tblApplicationsInCustomLists AS cl
		ON
			a.user_id = cl.user_id
		LEFT JOIN
			tblStudySections as s
			ON a.section = s.section_id
		WHERE
			cl.list_id = '{$customListId}'
		ORDER BY
			l.abbreviation, b.name, i.number");
	
	return $applications;
}

function isUnderLine($application, $ratingForLine) {
	if (!empty($ratingForLine) && $application['overal_rating'] > $ratingForLine && $application['list_position'] == 'computed')
	{
			return true;
	}
	else
	{
		return false;
	}
}

function getAdminsList()
{
	global $db;
	
	$query = "SELECT * FROM tblAdmins";
	return $db->GetResults($query); 
}

function getAdminDetails($admin_id, $all_details = false)
{
	global $db;
	
	$query = "SELECT * FROM tblAdmins WHERE admin_id='$admin_id'";
	$result = $db->GetResult($query); 
	
	if ($all_details)
	{
		$result['faculty'] = getEntityAssignedToAdmin($admin_id, 'faculty');
		$result['dormitory'] = getEntityAssignedToAdmin($admin_id, 'dormitory');
	}
	
	return $result;
}

function updateAdminPassword($admin_id, $new_password)
{
	global $db;
	
	$db->Query("UPDATE tblAdmins SET password='" . md5($new_password) . "'WHERE admin_id='$admin_id'");
}

function deleteAdmin($admin_id)
{
	global $db;
	
	$db->Query("DELETE FROM tblAdmins WHERE admin_id='$admin_id'");
	$db->Query("DELETE FROM tblAdminsRights WHERE admin_id='$admin_id'");
}

function getSections($admin_id = 0)
{
	global $db;

	if (empty($admin_id))
	{
		return $db->GetResults("SELECT * FROM tblSections ORDER BY order_no");
	}
	else
	{
		return $db->GetResults("
			SELECT
				s.*,
				ar.section_id AS has_perm
			FROM
				tblSections AS s
			LEFT JOIN
				tblAdminsRights AS ar
			ON
				s.section_id = ar.section_id
					AND
				ar.admin_id = '$admin_id'
			ORDER BY 
				s.order_no");
	}
}

function getEntities($entity_type, $admin_id = 0)
{
	global $db;

	$table_name = '';

	switch ($entity_type)
	{
		case 'faculty':
			$table_name = 'tblFaculties';
		break;

		case 'dormitory':
			$table_name = 'tblDormitories';
		break;
	}
	
	if (empty($table_name))
	{
		return array();
	}
	
	if (empty($admin_id))
	{
		return $db->GetResults("SELECT * FROM $table_name ORDER BY name");
	}
	else
	{
		return $db->GetResults("
			SELECT
				e.*,
				er.entity_id AS has_perm
			FROM
				$table_name AS e
			LEFT JOIN
				tblAdminsEntitiesRights AS er
			ON
				e.id = er.entity_id
					AND
				er.admin_id = '$admin_id'
					AND
				er.entity_type = '$entity_type'
			ORDER BY 
				e.name");
	}
}

function getEntityAssignedToAdmin($admin_id, $entity_type)
{
	global $db;

	$table_name = '';
	
	switch ($entity_type)
	{
		case 'faculty':
			$table_name = 'tblFaculties';
		break;

		case 'dormitory':
			$table_name = 'tblDormitories';
		break;
	}

	if (empty($table_name))
	{
		return array('abbreviation' => '-');
	}

	return $db->GetResult("
		SELECT
			e.*
		FROM
			$table_name AS e
		INNER JOIN
			tblAdminsEntitiesRights AS er
		ON
			e.id = er.entity_id
		WHERE
			er.admin_id = '$admin_id'
				AND
			er.entity_type = '$entity_type'");	
}

function updateAdminPermissions($admin_id, $sections_perms, $faculty_perm, $dormitory_perm)
{
	global $db;

	$db->Query("DELETE FROM tblAdminsRights WHERE admin_id = '$admin_id'");
	
	if (is_array($sections_perms))
	{
		foreach ($sections_perms as $section_id)
		{
			$db->Query("
				INSERT INTO 
					tblAdminsRights
				(
					admin_id,
					section_id
				)
				VALUES
				(
					'$admin_id',
					'$section_id'
				)");
		}
	}
	
	updateEntitiesPerms($admin_id, 'faculty', $faculty_perm);
	updateEntitiesPerms($admin_id, 'dormitory', $dormitory_perm);
}

function updateEntitiesPerms($admin_id, $entity_type, $entity_id)
{
	global $db;
	
	$db->Query("DELETE FROM tblAdminsEntitiesRights WHERE admin_id = '$admin_id' AND entity_type = '$entity_type'");
	
	if (!empty($entity_id))
	{
		$db->Query("
			INSERT INTO 
				tblAdminsEntitiesRights
			(
				admin_id,
				entity_type,
				entity_id
			)
			VALUES
			(
				'$admin_id',
				'$entity_type',
				'$entity_id'
			)");
	}
}

function isAdminLoginExists($login) 
{
	global $db;

	$admin = $db->GetResult("SELECT admin_id FROM tblAdmins WHERE login='$login'");
	
	if (!empty($admin['admin_id'])) {
		return true;
	}
	else {
		return false;
	}

}

function createNewAdmin($login, $password)
{
	global $db;
	
	$db->Query("INSERT INTO tblAdmins (login, password) VALUES ('$login', '" . md5($password) . "')");
}

function getSeasonDetails($season_id)
{
	global $db;
	return $db->GetResult("SELECT * FROM tblSeasons WHERE id = '$season_id'");
}

function assignPlaceToFaculty($place_id, $faculty_id, $date)
{
	global $db;
	global $active_season_id;
	
	if (empty($place_id))
	{
		return false;
	}
	
	$assigned_place = $db->GetResult("
		SELECT 
			place_id 
		FROM
			tblAssignedPlaces
		WHERE
			place_id = '$place_id'
				AND
			season_id = '$active_season_id'");
	
	if (!empty($assigned_place['place_id']))
	{
		$db->Query("
			UPDATE
				tblAssignedPlaces
			SET
				faculty_id ='$faculty_id', 
				season_id='$active_season_id', 
				date = '$date', 
				user_id = 0 
			WHERE
				place_id = '$place_id'");						
	}
	else
	{
		$db->Query("
			INSERT INTO
				tblAssignedPlaces
			(
				place_id,
				faculty_id,
				season_id,
				date,
				user_id
			)
			VALUES
			(
				'$place_id',
				'$faculty_id',
				'$active_season_id',
				'$date',
				0
			)");
	}
}

function assignRoomToFaculty($room_id, $faculty_id, $date)
{
	global $db;
	global $active_season_id;

	$places = $db->GetResults("
		SELECT 
			p.place_id
		FROM
			tblPlaces AS p
		LEFT JOIN
			tblAssignedPlaces AS ap
		ON
			p.place_id = ap.place_id
				AND
			ap.season_id = '$active_season_id'
		WHERE
			p.room_id = '$room_id'
				AND
			(
				ap.user_id = 0
					OR
				ap.user_id IS NULL
			)");
	
	foreach ($places as $place) {
		assignPlaceToFaculty($place['place_id'], $faculty_id, $date);
	}
}

function getLocalities($dormitory_id)
{
	global $db;
	
	return $db->GetResults("SELECT * FROM tblLocalities WHERE dormitory_id = '$dormitory_id'");
}

function getBlocks($locality_id)
{
	global $db;
	
	return $db->GetResults("SELECT * FROM tblBlocks WHERE locality_id='$locality_id'");
}

function getRooms($block_id)
{
	global $db;
	global $active_season_id;

	return $db->GetResults("
		SELECT 
			r.*,
			count(p.place_id) AS available_capacity
		FROM
			tblRooms AS r
		INNER JOIN
			tblPlaces AS p
		ON
			r.id = p.room_id
		LEFT JOIN
			tblAssignedPlaces AS ap
		ON
			p.place_id = ap.place_id
				AND
			ap.season_id = '$active_season_id'
		WHERE
			r.block_id='$block_id'
				AND
			(
				ap.user_id = 0
					OR
				ap.user_id IS NULL
			)
		GROUP BY
			r.id
		ORDER BY number");	
}

function getRoomDescription($room_id)
{
	global $db;
	global $active_season_id;

	$desc = '';
	$rvp = $db->Query("
		SELECT
			IFNULL(v.abbreviation, '') as abbreviation
		FROM
			tblPlaces AS p 
		LEFT JOIN
			tblAssignedPlaces m
		ON
			m.place_id = p.place_id
		LEFT JOIN
			tblFaculties v
		ON
			m.faculty_id = v.id
		WHERE
			p.room_id = '{$room_id}'
				AND
			m.season_id = '$active_season_id'
				AND
			m.user_id = 0");
	
	while ($skratka = $db->Fetch_array($rvp)) {
		$desc .= (($desc!=''?', ':'').$skratka['abbreviation']);
	}
	
	return ($desc == '' ? '' : ' - ') . $desc;
}

function getPlaces($room_id)
{
	global $db;
	global $active_season_id;
	
	return $db->GetResults("
		SELECT 
			p.place_id,
			i.number, 
			IFNULL(o.name, '') as season,  
			IFNULL(v.abbreviation, '') as abbreviation 
		FROM
			tblPlaces AS p
		LEFT JOIN
			tblAssignedPlaces m
		ON
			p.place_id = m.place_id 
				AND
			m.season_id = '$active_season_id'
		INNER JOIN 
			tblRooms i
		ON
			p.room_id = i.id
		LEFT JOIN
			tblSeasons o
		ON
			o.id = m.season_id
				AND
			m.season_id = '$active_season_id'
		LEFT JOIN
			tblFaculties v
		ON
			m.faculty_id = v.id
		WHERE
			p.room_id = '$room_id'
				AND
			(
				m.user_id = 0
					OR
				m.user_id IS NULL
			)");
}

function getStudentsWithoutApplication($faculty_id)
{
	global $db;
	
	return $db->GetResults("
		select 
			s.student_id, s.name, s.surname
		from 
			tblStudents as s
		left join
			tblUserApplications as a
		on
			s.student_id = a.student_id
		where
			a.student_id IS NULL
				AND
			s.faculty_id = '$faculty_id'");
}

function addCustomList($name, $faculty_id)
{
	global $db;
				
	$db->Query("INSERT INTO tblCustomLists VALUES (NULL, '$name', '$faculty_id')");
}

function deleteCustomList($list_id)
{
	global $db;

	$db->Query("DELETE FROM tblCustomLists WHERE list_id = '$list_id'");
	$db->Query("DELETE FROM tblApplicationsInCustomLists WHERE list_id = '$list_id'");
}

function getCustomLists($faculty_id)
{
	global $db;
	
	return $db->GetResults("SELECT list_id, name FROM tblCustomLists WHERE faculty_id = '$faculty_id' ORDER BY name");
}

function getUserCustomLists($user_id, $faculty_id)
{
	global $db;

	return $db->GetResults("
		SELECT
			DISTINCT cl.*, acl.user_id = '".$user_id."' as inlist
		FROM
			tblCustomLists AS cl
		LEFT JOIN
			tblApplicationsInCustomLists AS acl
			ON cl.list_id = acl.list_id AND acl.user_id = '".$user_id."'
		WHERE
			cl.faculty_id = '$faculty_id'
		ORDER BY cl.name");
}

function getActiveFilter($filter_id)
{
	global $logged_admin;
	global $db;

	if (strpos($filter_id, 'custom_') === false) {
		
		$activeFilter = $db->Quick_fetch("SELECT sql_query FROM tblApplicationsListFilters WHERE filter_id='".$filter_id."'");
		
		$activeFilter['sql_query'] = str_replace('%%FACULTY_ID%%', $logged_admin['faculty']['id'], $activeFilter['sql_query']);
		$activeFilter['sql_query'] = str_replace('%%DORMITORY_ID%%', $logged_admin['dormitory']['id'], $activeFilter['sql_query']);
	}
	else {
		$filter_id = substr($filter_id, 7);
		$activeFilter['sql_query'] = "
			SELECT
				user_id
			FROM
				tblApplicationsInCustomLists
			WHERE
				list_id='".$filter_id."'";
	}
	
	return $activeFilter;
}

function setSessionData()
{
	if (!empty($_GET['set_list'])) {
		$_SESSION['filter_id'] = 'custom_'.$_GET['set_list'];
	}
	else {
		$_SESSION['filter_id'] = $_POST['filter'];
		$_SESSION['new'] = $_POST['new'];
		$_SESSION['present'] = $_POST['present'];
		$_SESSION['without_place'] = $_POST['without_place'];
		$_SESSION['male'] = $_POST['male'];
		$_SESSION['female'] = $_POST['female'];
		$_SESSION['ordered'] = $_POST['ordered'];
	}
}

function feedAplicationListCache($activeFilter)
{
	global $db;
	global $logged_admin;

	$db->Query("DELETE FROM tblApplicationsList WHERE faculty_id = '{$logged_admin['faculty']['id']}'");

	$applicationsId = $db->GetResults($activeFilter['sql_query']);

	$workOnNew = ($_SESSION['new'] == 'T');
	$workOnPresent = ($_SESSION['present'] == 'T');
	$ordered = ($_SESSION['ordered'] == 'T');
	
	if (!($workOnNew && $workOnPresent) && ($workOnNew || $workOnPresent) && $ordered) {
		
		if (is_array($applicationsId) && count($applicationsId) > 0)
		{
			$ids = array_map('_extractAppIds', $applicationsId);

			$applications = $db->GetResults("
				SELECT
					a.*, 
					s.student_id, 
					s.rating1,
					s.rating2,
					s.rating3,
					s.rating_profile1,
					s.rating_profile2,
					s.rating_profile3,
					s.rating
				FROM
					tblUserApplications AS a
				INNER JOIN
					tblStudents AS s
					ON a.student_id = s.student_id
				WHERE 
					a.user_id IN ('".implode('\',\'', $ids)."')
						AND
					a.faculty_id = '{$logged_admin['faculty']['id']}'
				GROUP BY
					a.user_id
			");
	
			$orderedApplications = generateApplicationOrder($applications, ($workOnNew ? 'new' : 'present'));
			$applicationsId = array();
			
			foreach ($orderedApplications['ordering'] as $index) {
				$applicationsId[] = $orderedApplications['applications_list'][$index];
			}
		}		
	}

	if (is_array($applicationsId) && count($applicationsId) > 0)
	{
		$applications = $db->GetResults("SELECT user_id, faculty_id FROM tblUserApplications WHERE user_id IN ('" . implode('\', \'', array_map('_extractAppIds', $applicationsId)) . "')", 'user_id');

		foreach ($applicationsId as $applicationId) 
		{
			if ($applications[$applicationId['user_id']]['faculty_id'] == $logged_admin['faculty']['id'])
			{
				$db->Query("INSERT INTO tblApplicationsList (order_no, user_id, faculty_id) VALUES (NULL, '".$applicationId['user_id']."', '{$logged_admin['faculty']['id']}')");
			}
		}
	}
}

function _extractAppIds($app)
{
	return $app['user_id'];
}

function getPlacesList($show_only_free_places, $room = 0, $block = 0, $location = 0)
{
	global $db;
	global $logged_admin;
	global $active_season_id;
	
	$room_cond = !empty($room) ? " AND p.room_id = '".$room."'" : '';
	$block_cond = !empty($block) ? " AND i.block_id = '".$block."'" : '';
	$location_cond = !empty($location) ? " AND b.locality_id = '".$location."'" : '';
	$show_only_free_places_cond = $show_only_free_places ? " AND a.user_id IS NULL" : '';
	
	return $db->GetResults("
		SELECT
			ar.place_id as id,
			CONCAT(l.abbreviation, b.name, ' ', i.number) AS room,
			a.surname,
			a.name,
			a.year,
			s.name AS section,
			ar.note
		FROM
			tblAssignedPlaces as ar
		INNER JOIN
			tblPlaces AS p
		ON
			ar.place_id = p.place_id						
		INNER JOIN
			tblRooms as i	
			ON
				p.room_id = i.id $room_cond
		INNER JOIN
			tblBlocks as b
			ON
			i.block_id = b.id $block_cond
		INNER JOIN
			tblLocalities as l
			ON
			b.locality_id = l.id $location_cond
		LEFT JOIN
			tblUserApplications as a
			ON
			ar.user_id = a.user_id
		LEFT JOIN
			tblStudySections as s
			ON a.section = s.section_id
		WHERE
			ar.faculty_id='{$logged_admin['faculty']['id']}'
				AND
			ar.season_id = '$active_season_id' 
			$show_only_free_places_cond
		ORDER BY
			room, a.surname");	
}

function getStudentUserId($student_id)
{
	global $db;
	$binding = $db->Quick_fetch("SELECT user_id FROM tblUsersToStudentsBindings WHERE student_id='$student_id'");
	
	return $binding['user_id'];
}

function getApplications($type)
{
	global $db;

	return $db->GetResults("
		SELECT 
			distinct a.user_id, 
			a.name, 
			a.surname, 
			a.year, 
			a.type, 
			cs.rating, 
			s.name as section,
			a.distance, 
			cs.student_type, 
			cs.student_id
		FROM tblUserApplications AS a
		INNER JOIN tblStudySections AS s ON a.section = s.section_id
		INNER JOIN tblUsersToStudentsBindings as usb ON a.user_id = usb.user_id
		INNER JOIN tblStudents AS cs ON cs.student_id = usb.student_id
		WHERE
			cs.student_type = '$type'");
}

function getMessages($faculty_id)
{
	global $db;
	
	$messages = $db->GetResults("
		SELECT
			*,
			IF(message_tag IS NULL OR message_tag = '', 0, 1) AS has_message_tag
		FROM
			tblGlobalMessages
		WHERE
			faculty_id = '$faculty_id'
		ORDER BY
			has_message_tag DESC, message_id");

	$required_messages = $db->GetResults("
		INSERT INTO tblGlobalMessages
		SELECT
			NULL,
			gm1.subject,
			gm1.perex,
			gm1.body,
			gm1.url,
			NOW(),
			gm1.publish_date_from,
			gm1.publish_date_till,
			gm1.publish,
			gm1.message_tag,
			gm1.list_tag,
			'$faculty_id' as faculty_id
		FROM
			tblGlobalMessages AS gm1
		LEFT JOIN
			tblGlobalMessages AS gm2
		ON
			gm1.message_tag = gm2.message_tag
				AND
			gm2.faculty_id = '$faculty_id'
		WHERE
			gm1.faculty_id = 0
				AND
			gm2.message_id IS NULL");	
	
	return $messages;
}

function getMessage($message_id)
{
	global $db;
	
	return $db->GetResult("SELECT * FROM tblGlobalMessages WHERE message_id = '$message_id'");
}

function deleteMessage($message_id)
{
	global $db;
	
	$db->Query("DELETE FROM tblGlobalMessages WHERE message_id = '$message_id' AND (message_tag IS NULL OR message_tag = '')");
}

function saveMessage()
{
	global $db;
	global $logged_admin;
	
	if (!empty($_REQUEST['message_id']))
	{
		$message = getMessage($_REQUEST['message_id']);
	}
	else
	{
		$message['creation_date'] = date("Y-m-d H:i:s");
	}
		
	$db->Query("
		REPLACE INTO
			tblGlobalMessages
		(
			message_id,
			subject,
			perex,
			body,
			url,
			creation_date,
			publish_date_from,
			publish_date_till,
			publish,
			message_tag,
			list_tag,
			faculty_id
		)
		VALUES
		(
			'" . $_REQUEST['message_id'] . "',
			'" . addSlashesIfNecessary($_REQUEST['subject']) . "',
			'" . addSlashesIfNecessary($_REQUEST['perex']) . "',
			'" . addSlashesIfNecessary($_REQUEST['body']) . "',
			'" . addSlashesIfNecessary($_REQUEST['url']) . "',
			'" . $message['creation_date'] . "',
			'" . addSlashesIfNecessary($_REQUEST['publish_date_from']) . "',
			'" . addSlashesIfNecessary($_REQUEST['publish_date_till']) . "',
			'" . $_REQUEST['publish'] . "',
			'" . $message['message_tag'] . "',
			'" . addSlashesIfNecessary($_REQUEST['list_tag']) . "',
			'" . $logged_admin['faculty']['id'] . "'
		)");
}

function addSlashesIfNecessary($string)
{ 
	if (get_magic_quotes_runtime == 0) {
		$string = addslashes($string);
	}
	
	return $string;
}

function getFaculty($faculty_id)
{
	global $db;
	
	return $db->GetResult("SELECT * FROM tblFaculties WHERE id = '$faculty_id'");
}

function getActiveSeason()
{
	global $db;
	
	$season_id = Properties::getProperty('active_season_id', 'global');
	
	return $db->GetResult("SELECT * FROM tblSeasons WHERE id = '$season_id'");
}

function renderList($list_tag)
{
	global $db;
	global $faculty;
	global $active_season_id;

	if (strpos($list_tag, 't_') === 0)
	{
		$list_id = substr($list_tag, 2);
		$list_tag = 'defined';
	}

	switch ($list_tag)
	{
		case 'present':
		case 'new':
			$applications = getApplicationList($list_tag);
	
			// spracuje zoznam ziadosti podla modifikatorov a vzorca
			$ziadatelia = generateApplicationOrder($applications, $list_tag);
		
			$ratingForLine = Properties::getProperty('rating_for_line_' . $list_tag, 'faculty', $faculty['id']);

			$render = 'user_list';
		break;

		break;

		case 'rooms':
			$rooms = $db->GetResults("
				SELECT
					l.abbreviation,
					i.number,
					CONCAT(l.abbreviation, b.name, ' ', i.number) AS room, 
					a.surname AS priezvisko,
					a.name AS meno,
					a.year AS rocnik,
					s.name AS odbor
				FROM
					tblPlaces AS pp				
				INNER JOIN
					tblRooms as i	
					ON
						pp.room_id = i.id
				INNER JOIN
					tblBlocks as b
					ON
					i.block_id = b.id
				INNER JOIN
					tblLocalities as l
					ON
					b.locality_id = l.id
				LEFT JOIN
					tblAssignedPlaces as ar
				ON
					pp.place_id = ar.place_id
				LEFT JOIN
					tblUserApplications as a
					ON
					ar.user_id = a.user_id
				LEFT JOIN
					tblStudySections as s
					ON a.section = s.section_id
				WHERE
					ar.faculty_id = '{$faculty['id']}'
						AND
					ar.season_id = '$active_season_id'
				ORDER BY
					l.abbreviation, b.name, i.number");
			
			$render = 'rooms';
		break;
		
		case 'defined':
			$ziadatelia = array();
			
			$applications = getApplicationInCustomList($list_id);

			if (is_array($applications))
			{
				// spracuje zoznam ziadosti podla modifikatorov a vzorca
				$ziadatelia = generateApplicationOrder($applications);
			}

			$ratingForLine = 0;
			$render = 'user_list';
		break;
	}

	switch ($render)
	{
		case 'user_list':
			
			if (!empty($ratingForLine))
			{
				$content = '
					<p>
						Nad iarou s t, ktor maj poet bodov pod '.$ratingForLine.'.
					</p>';
			}

			$content .= '
				<table class="places">
					<tr>
						<th>
							#
						</th>
						<th>
							Meno
						</th>
						<th>
							Priezvisko
						</th>
						<th>
							Rok tdia
						</th>
						<th>
							Odbor
						</th>
						<th>
							Body za iados
						</th>
						<th>
							M
						</th>
						<th>
							Body
						</th>
						<th>
							Poznmka
						</th>
						<th>
							Izba
						</th>
					</tr>';
			
			$f = 0;
			$lineDrawn = false;

			foreach ($ziadatelia['ordering'] as $itemNo) {
		
				$ziadatel = $ziadatelia['applications_list'][$itemNo];
				
				$f++;
				
				if (!empty($ratingForLine) && isUnderLine($ziadatel, $ratingForLine) && !$lineDrawn) {
					$content .= '
						<tr class="line">
							<td colspan="10">
								<hr />
							</td>
						</tr>';
					
					$lineDrawn = true;
				}		
				
				$content .= '
						<tr>
							<td '.(!empty($ziadatel['number']) ? ' class="assignedRoom" ' : '').'>
								'.$f.'.
							</td>
							<td>
								'.$ziadatel['name'].'
							</td>
							<td>
								'.$ziadatel['surname'].'
							</td>
							<td>
								'.$ziadatel['year'].'
							</td>
							<td>
								'.$ziadatel['section'].'
							</td>
							<td>
								'.$ziadatel['rating'].'
							</td>
							<td>
								'.$ziadatel['modificators_points'].'
							</td>
							<td>
								'.$ziadatel['overal_rating'].'
							</td>
							<td>
								'.$ziadatel['comment'].'
							</td>
							<td nowrap="nowrap">
								'.$ziadatel['room'].'
							</td>
						</tr>';
			}
			
		
			$content .= '
				</table>';			
		break;
		
		case 'rooms':
			$content = '				
				<table class="places">
					<tr>
						<th style="width: 60px;">
							Izba
						</th>
						<th>
							Priezvisko
						</th>
						<th>
							Meno
						</th>
						<th>
							Odbor
						</th>
						<th>
							Rok tdia
						</th>
					</tr>';
			
			$p = 0;
			$assignedCount = 0;
			$last_room = '';
			
			foreach ($rooms as $room) 
			{
				if ($last_room != $room['room'])
				{
					$p++;
				}
				
				$last_room = $room['room'];
				
				if ($p % 2 == 1) {
					$parityClass = 'odd';
				}
				else {
					$parityClass = '';
				}
	
				$content .= '
						<tr class="'.$parityClass.'">
							<td>
								'.$room['room'].'
							</td>
							<td>
								'.$room['priezvisko'].'
							</td>
							<td>
								'.$room['meno'].'
							</td>
							<td>
								'.$room['odbor'].'
							</td>
							<td>
								'.$room['rocnik'].'
							</td>
						</tr>';
				
				if (!empty($room['priezvisko'])) {
					$assignedCount++;
				}
			}
		
			$content .= '
				</table><p>Pridelench miest: '.$assignedCount.'</p>';
		break;
	}
	
	return $content;
}

function getListTags($faculty_id)
{
	global $db;
	
	$result = array(
		array('tag' => 'present', 'name' => 'poradovnk - sasn tudenti'),
		array('tag' => 'new', 'name' => 'poradovnk - novoprijat tudenti'),
		array('tag' => 'rooms', 'name' => 'zoznam izieb')
	);
	
	$custom_lists = $db->GetResults("
		SELECT
			CONCAT('t_', list_id) AS tag,
			CONCAT('Tag: ', name) AS name
		FROM
			tblCustomLists
		WHERE
			faculty_id = '$faculty_id'
		ORDER BY
			name");
	
	foreach ($custom_lists as $custom_list)
	{
		$result[] = $custom_list;
	}
	
	return $result;
}


