<?php

class Messages {
	
	var $db;
	var $isLogged;
	var $userId;
	
	function Messages($userId, &$db) {
		$this->isLogged = !empty($userId);
		$this->userId = $userId;
		$this->db = $db;
	}
	
	function getGlobalMessages($count = MESSAGES_COUNT) {
		
		$now = date('Y-m-d H:i:s',time());

		$cond = '((publish_date_from <= \''.$now.'\' AND publish_date_till >= \''.$now.'\' AND publish=\'temporary\') OR (publish=\'forever\')) AND (message_tag IS NULL OR message_tag=\'\')';
		
		return $this->__getMessages('tblGlobalMessages', $cond);
	}
	
	function getGlobalMessage($message_id) {
		$result = $this->__getMessages('tblGlobalMessages', 'message_id=\''.$message_id.'\'');
		return $result[0];
	}
	
	function getGlobalMessageByTag($message_tag) {
		$result = $this->__getMessages('tblGlobalMessages', 'message_tag=\''.$message_tag.'\'');
		return $result[0];
	}	

	function getMainMessage() {
		
		if ($this->isLogged) {
			$main = '_logged';
		}
		else {
			$main = '_notlogged';
		}
		
		$result = $this->__getMessages('tblGlobalMessages', 'message_tag=\'main'.$main.'\'');
		return $result[0];
	}
	
	function getApplyMessage($step) {
		$result = $this->__getMessages('tblGlobalMessages', 'message_tag=\'apply'.$step.'\'');
		return $result[0];		
	}
	
	function getPlacesMessage() {
		$result = $this->__getMessages('tblGlobalMessages', 'message_tag=\'places\'');
		return $result[0];		
	}	
	
	function getFriendsMessage() {
		$result = $this->__getMessages('tblGlobalMessages', 'message_tag=\'friends\'');
		return $result[0];		
	}	

	function getCustomListMessage($customListId) {
		//$result = $this->__getMessages('tblGlobalMessages', 'type=\'custom_list\' AND custom_list_id=\''.$customListId.'\'');
		return $result[0];		
	}	
	
	function __getMessages($table, $cond = '') 
	{
		global $faculty;
	
		if (!empty($cond)) {
			$cond = ' WHERE faculty_id = \'' . $faculty['id'] . '\' AND '.$cond;
		}
	
		return $this->db->GetResults('SELECT * FROM '.$table.$cond.' ORDER BY creation_date DESC');
	}
	
}

?>