<?php

class User {
	
	var $db;
	
	function User($db) {
		$this->db = $db;
	}
	
	function getApplication($userId) {
		
		$user = $userData = $this->db->Quick_fetch('SELECT * FROM tblUserApplications WHERE user_id=\''.$userId.'\'');
		
		$user['sex'] = ($userData['sex'] == 'male' ? 'mu' :($userData['sex'] == 'female' ? 'ena' : '---'));
		
		$user['type'] = getHumanNameForStudyType($userData['type']);
		
		$section = $this->db->Quick_fetch("SELECT * FROM tblStudySections WHERE section_id='".$userData['section']."'");
		
		$yesNoArray = array('yes' => 'no', 'no' => 'nie');
		$status = array(
			'undecided' => 'neposden',
			'successful' => 'spen',
			'unsuccessful' => 'nespen'
		);
		
		$user['smoking'] = $yesNoArray[$user['smoking']];
		$user['sameroom'] = $yesNoArray[$user['sameroom']];
		$user['status_code'] = $user['status'];
		$user['status'] = $status[$user['status']];
		
		$user['section'] = $section['name'];
		$user['message'] = nl2br($userData['message']);
		
		$result['display'] = $user;
		$result['internal'] = $userData;
		
		return $result;		
	}
	
	function getUserData($userId) {
		$registration = $this->db->Quick_fetch('SELECT * FROM tblUsers WHERE user_id=\''.$userId.'\'');
				
		$result['user']['internal'] = $this->db->Quick_fetch('SELECT * FROM tblStudents WHERE student_id=\'' . getStudentIdForUser($userId) . '\'');
		$result['user']['internal']['id_type'] = $idType;
		$result['user']['internal']['id'] = $id;
		$result['user']['internal']['user_id'] = $userId;
		
		$userDisplay = $result['user']['internal'];
		
		$userDisplay['student_type'] = ($userDisplay['student_type'] == 'present' ? 'suasn' : ($userDisplay['student_type'] == 'new' ? 'novoprijat' : '---'));
		
		$result['user']['display'] = $userDisplay;
		$result['registration'] = $registration;
		
		return $result;
	}
	
	function getUserDataForStudentId($studentId) {
		$student = $this->db->Quick_fetch("SELECT sc.section_id, s.* FROM tblStudents as s left join tblStudySections as sc on s.section=sc.abbreviation WHERE s.student_id='".$studentId."'");
		
		$result['user']['internal'] = $student;
		
		$userDisplay = $result['user']['internal'];
		
		$userDisplay['student_type'] = ($userDisplay['student_type'] == 'present' ? 'suasn' : 'novoprijat');
		
		$result['user']['display'] = $userDisplay;
		$result['registration'] = $this->db->Quick_fetch('SELECT * FROM tblUsers WHERE user_id=\''.getStudentUserId($studentId).'\'');		
		
		return $result;
	}
	
	function getRegistrationData($userId) {
		return $this->db->Quick_fetch('SELECT * FROM tblUsers WHERE user_id=\''.$userId.'\'');
	}
	
	function getAssignedUserPlace($userId) {
	global $active_season_id;

		return $this->db->Quick_fetch("
			SELECT
				ap.place_id as id,
				i.number AS room,
				b.name AS block,
				l.abbreviation AS location
			FROM
				tblAssignedPlaces AS ap
			INNER JOIN
				tblPlaces AS p
			ON
				ap.place_id = p.place_id
			INNER JOIN
				tblRooms AS i
			ON
				p.room_id = i.id
			INNER JOIN
				tblBlocks AS b
			ON
				i.block_id = b.id
			INNER JOIN
				tblLocalities AS l
			ON
				b.locality_id = l.id
			WHERE
				ap.user_id = '".$userId."'
					AND
				ap.season_id = '$active_season_id'
			LIMIT 1");
	}
	
}

?>