<!-- BEGIN: main --><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html>
<head>

	<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />

	<title>
		Ubytovanie{FACULTY.main_title}
	</title>

	<style media="screen" type="text/css">
		@import "out/css/main.css";
	</style>

</head>
<body>

	<div id="pageHolder">
		<h1>
			<a href="index.php?faculty_id={FACULTY.id}" style="padding-top: 1.5em; padding-left: 0.5em; color: white;">Ubytovanie{FACULTY.main_title}</a>
		</h1>

		<div class="hide">
			<!-- BEGIN: link_to_user --><a href="#logout">Odkaz na odhlsenie</a> |<!-- END: link_to_user -->
			<!-- BEGIN: link_to_message --><a href="#message">Odkaz na osobn sprvy</a> |<!-- END: link_to_message -->
			<!-- BEGIN: link_to_registration --><a href="#registration">Odkaz na registran formulr</a> |<!-- END: link_to_registration -->
			<!-- BEGIN: link_to_login --><a href="#login">Odkaz na prihlasovac formulr</a> |<!-- END: link_to_login -->
			<!-- BEGIN: link_to_apply --><a href="#apply">Odkaz na daje v iadosti</a> |<!-- END: link_to_apply -->
			<!-- BEGIN: link_to_place --><a href="#place">Odkaz na zoznam zadanch miest</a><!-- END: link_to_place -->
			<!-- BEGIN: link_to_friend --><a href="#friend">Odkaz na zoznam zadanch kamartov</a><!-- END: link_to_friend -->
		</div>

		<div id="contentHolder">
			<div id="content">
				<!-- BEGIN: general_alert -->
					<p class="general_alert">
						{ALERT_MESSAGE}
					</p>
				<!-- END: general_alert -->

				<!-- BEGIN: crossroad_main -->
					<h2>
						Fakulty
					</h2>
					
					<ul>
						<!-- BEGIN: faculty -->
						<li>
							<a href="index.php?faculty_id={C_FACULTY.id}">{C_FACULTY.name}</a>
						</li>
						<!-- END: faculty -->
					</ul>
				<!-- END: crossroad_main -->
				
				<!-- BEGIN: global_messages -->
				<div class="messages global">
					<h2 class="action">
						Dleit informcie
					</h2>
					<!-- BEGIN: showall -->
						<input type="submit" value="Vetky" class="action" />
					<!-- END: showall -->
					
					<div class="reset"></div>
					<table border="0" cellpadding="0" cellspacing="0">
						<!-- BEGIN: messagecol1 -->
						<tr>
							<td colspan="2">
								<a href="{GLOBAL_MESSAGE.URL}"{GLOBAL_MESSAGE.TARGET}>{GLOBAL_MESSAGE.subject}</a>
								<!-- BEGIN: perex -->							
								<div>
									{GLOBAL_MESSAGE.perex}
								</div>
								<!-- END: perex -->							
							</td>
						</tr>
						<!-- END: messagecol1 -->
						<!-- BEGIN: messagecol2 -->
						<tr>
							<th>
								{GLOBAL_MESSAGE.creation_date}
							</th>
							<td>
								<a href="{GLOBAL_MESSAGE.URL}">{GLOBAL_MESSAGE.subject}</a>
								<!-- BEGIN: perex -->							
								<div>
									{GLOBAL_MESSAGE.perex}
								</div>
								<!-- END: perex -->							
							</td>
						</tr>
						<!-- END: messagecol2 -->
					</table>
				</div>
				<!-- END: global_messages -->
				
				<!-- BEGIN: back_top -->
					<a href="index.php?faculty_id={FACULTY.id}">nvrat na hlavn strnku</a><br /><br />
				<!-- END: back_top -->
				
				<!-- BEGIN: message_content -->
				<div class="article">
					<h2>
						{MESSAGE.subject}
					</h2>
	
					{MESSAGE.body}
				</div>
				<!-- END: message_content -->
				
				<!-- BEGIN: places -->
					<!-- BEGIN: list -->
					<table class="places">
						<tr>
							<th>
								Miesto
							</th>
							<th>
								Poznmka
							</th>
							<th>
								&nbsp;
							</th>
						</tr>
						<!-- BEGIN: item -->
						<tr>
							<td>
								<a href="index.php?places=true&amp;place_id={PLACE.place_id}&amp;faculty_id={FACULTY.id}">{PLACE.content}</a>
							</td>
							<td>
								{PLACE.description}
							</td>
							<td>
								<a href="index.php?places=true&amp;moveup=true&amp;place_id={PLACE.place_id}&amp;faculty_id={FACULTY.id}">Vyie</a><br />
								<a href="index.php?places=true&amp;movedown=true&amp;place_id={PLACE.place_id}&amp;faculty_id={FACULTY.id}">Niie</a><br /><br />
								<a href="index.php?places=true&amp;delete=true&amp;place_id={PLACE.place_id}&amp;faculty_id={FACULTY.id}">Zmaza</a>
							</td>
						</tr>
						<!-- END: item -->
					</table>
					<!-- END: list -->
					<!-- BEGIN: noplaces -->
						<p>
							<strong>Zatia nie s definovan iadne miesta.</strong>
						</p>
					<!-- END: noplaces -->

					<!-- BEGIN: addbutton -->
					<div class="button">
						<form action="index.php">
							<input type="hidden" name="faculty_id" value="{FACULTY.id}" />
							<input type="hidden" name="places" value="true" />
							<input type="hidden" name="add" value="true" />
							<input type="submit" value="Prida miesto" />
						</form>
					</div>					
					<!-- END: addbutton -->
				<!-- END: places -->
				
				<!-- BEGIN: friends -->
					<!-- BEGIN: list -->
					<table class="places">
						<tr>
							<th>
								Kamart
							</th>
							<th>
								Poznmka
							</th>
							<th>
								&nbsp;
							</th>
						</tr>
						<!-- BEGIN: item -->
						<tr>
							<td>
								<a href="index.php?friends=true&amp;friend_id={FRIEND.friend_id}&amp;faculty_id={FACULTY.id}">{FRIEND.login}</a>
							</td>
							<td>
								{FRIEND.description}
							</td>
							<td>
								<a href="index.php?friends=true&amp;delete=true&amp;friend_id={FRIEND.friend_id}&amp;faculty_id={FACULTY.id}">Zmaza</a>
							</td>
						</tr>
						<!-- END: item -->
					</table>
					<!-- END: list -->
					<!-- BEGIN: nofriends -->
						<p>
							<strong>Zatia nemte v zozname iadnych kamartov.</strong>
						</p>
					<!-- END: nofriends -->

					<!-- BEGIN: addbutton -->
					<div class="button">
						<form action="index.php">
							<input type="hidden" name="faculty_id" value="{FACULTY.id}" />
							<input type="hidden" name="friends" value="true" />
							<input type="hidden" name="add" value="true" />
							<input type="submit" value="Prida kamarta" />
						</form>
					</div>					
					<!-- END: addbutton -->
				<!-- END: friends -->				
				
				<!-- BEGIN: apply_form_room_select -->
					{ROOMSELECT_CONTENT}
				<!-- END: apply_form_room_select -->

				<!-- BEGIN: edit_friend -->
					{FRIEND_CONTENT}
				<!-- END: edit_friend -->
				
				<!-- BEGIN: apply_form -->
				
					<!-- BEGIN: error -->
					<p class="error">
						Nevyplnili ste niektor daje v iadosti. Prosm doplte daje oznaen vekm <strong>X</strong>.
					</p>
					<!-- END: error -->
				
					<h3>
						Osobn daje
					</h3>
					
					<form class="applyform" action="index.php?apply=true&amp;step=1&amp;faculty_id={FACULTY.id}" method="post">
						<table cellspacing="0" cellpadding="0" border="0">
							<tr{ERROR.name}>
								<th>
									{ERRORMARK.name} Meno
								</th>
								<td>
									<input type="text" name="name" value="{APPLY.name}" />
								</td>
							</tr>
							<tr{ERROR.surname}>
								<th>
									{ERRORMARK.surname} Priezvisko
								</th>
								<td>
									<input type="text" name="surname" value="{APPLY.surname}" />
								</td>
							</tr>
							<tr{ERROR.sex}>
								<th>
									{ERRORMARK.sex} Pohlavie
								</th>
								<td>
									<select name="sex"">
										<option value="female"{SELECT.sex.female}>ena</option>
										<option value="male"{SELECT.sex.male}>mu</option>
									</select>
								</td>
							</tr>
						</table>
			
						<h3>
							Kontaktn daje
						</h3>
			
						<table cellspacing="0" cellpadding="0" border="0">
							<tr{ERROR.address}>
								<th>
									{ERRORMARK.address} Ulica, slo
								</th>
								<td>
									<input type="text" name="address" value="{APPLY.address}" />
								</td>
							</tr>
							<tr{ERROR.city}>
								<th>
									{ERRORMARK.city} Obec, tt (zahranin tudenti)
								</th>
								<td>
									<input type="text" name="city" value="{APPLY.city}" />
								</td>
							</tr>
							<tr{ERROR.psc}>
								<th>
									{ERRORMARK.psc} PS
								</th>
								<td>
									<input type="text" name="psc" value="{APPLY.psc}" />
								</td>
							</tr>
						</table>
			
						<h3>
							daje o tdiu
						</h3>
			
						<table cellspacing="0" cellpadding="0" border="0">
							<tr{ERROR.type}>
								<th>
									{ERRORMARK.type} Typ tdia (v nasledujcom roku)
								</th>
								<td>
									<select name="type"">
										<!-- BEGIN: study_type -->
										<option value="{STUDY_TYPE.id}"{STUDY_TYPE.selected}>{STUDY_TYPE.name}</option>
										<!-- END: study_type -->
									</select>
								</td>
							</tr>
							<tr{ERROR.section}>
								<th>
									{ERRORMARK.section} Odbor (v nasledujcom roku)
								</th>
								<td>
									<select name="section"">
										<!-- BEGIN: section -->
										<option value="{SECTION.value}"{SECTION.selected}>{SECTION.name}</option>
										<!-- END: section -->
									</select>
								</td>
							</tr>
							<tr{ERROR.year}>
								<th>
									{ERRORMARK.year} Rok tdia (v nasledujcom roku)
								</th>
								<td>
									<select name="year"">
										<option value="1"{SELECT.year.y1}>1</option>
										<option value="2"{SELECT.year.y2}>2</option>
										<option value="3"{SELECT.year.y3}>3</option>
										<option value="4"{SELECT.year.y4}>4</option>
										<option value="5"{SELECT.year.y5}>5</option>
										<option value="6"{SELECT.year.y6}>6</option>
										<option value="7"{SELECT.year.y7}>7</option>
									</select>
								</td>
							</tr>
						</table>
						
						<h3>
							Ostatn daje
						</h3>
			
						<table cellspacing="0" cellpadding="0" border="0">
							<!-- BEGIN: sameroom -->
							<tr>
								<th>
									Chcete bva na tej istej izbe ako tento rok?
								</th>
								<td>
									<select name="sameroom">
										<option value="yes"{SELECT.sameroom.yes}>no</option>
										<option value="no"{SELECT.sameroom.no}>Nie</option>
									</select>
								</td>
							</tr>
							<!-- END: sameroom -->
							<tr{ERROR.smoking}>
								<th>
									{ERRORMARK.smoking} Fajte?
								</th>
								<td>
									<select name="smoking">
										<option value="no"{SELECT.smoking.no}>Nie</option>
										<option value="yes"{SELECT.smoking.yes}>no</option>
									</select>
								</td>
							</tr>
							<tr{ERROR.distance}>
								<th>
									{ERRORMARK.distance} Vzdialenos miesta trvalho bydliska od miesta fakulty (v km)
								</th>
								<td>
									<input type="text" name="distance" value="{APPLY.distance}" />
								</td>
							</tr>
							<tr>
								<th style="vertical-align: top;">
									ubovon odkaz pre ubytovaciu komisiu a iados o zvhodnenia poda predolho odstavca.
								</th>
								<td>
									<textarea rows="5" cols="20" name="message">{APPLY.message}</textarea>
								</td>
							</tr>
						</table>
						
						<div class="button">
						<input type="submit" name="proceed" value="Uloi a pokraova" />
						</div>
						
					</form>
				<!-- END: apply_form -->

				<!-- BEGIN: back_bottom -->
					<a href="index.php?faculty_id={FACULTY.id}">nvrat na hlavn strnku</a>
				<!-- END: back_bottom -->
				
			</div>
			
		</div>

		<div id="menuHolder">
		
			<!-- BEGIN: user -->
			<div class="menuPanel">
				<h2 id="logout" class="action">
					<a href="index.php?faculty_id={FACULTY.id}" title="Nvrat na hlavn strnku">{LOGIN}</a>
				</h2>
				<form action="index.php?faculty_id={FACULTY.id}" method="post"><input type="submit" name="logout" value="Odhlsi" class="action" /></form>
				<div class="reset"></div>
				<br />
				<strong>Obdobie:</strong> {SEASON.name}
				<!-- <a href="" title="Nvrat na hlavn strnku">nvrat na hlavn strnku</a>-->
			</div>
			<!-- END: user -->
			
			<!-- BEGIN: message -->
			<div class="menuPanel messages">
				<h2 id="message" class="action">
					Osobn sprvy
				</h2>
				<!--<input type="submit" value="Vetky" class="action" />-->
				<div class="reset"></div>
				
				<div class="info">
					Na tomto mieste budete vidie dleit sprvy, ktor sa tkaj Vaej iadosti.
				</div>
				
				<!-- BEGIN: list -->
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th>
							23.7.2006
						</th>
						<td>
							<a href="#">Zmena kritrii na prideovanie ubytovania</a>
						</td>
					</tr>
				</table>
				<!-- END: list -->
			</div>
			<!-- END: message -->
			
			<!-- BEGIN: login -->
			<div class="menuPanel form {SUPRESS.login}">
				<h2 id="login">
					Prihlsenie
				</h2>

				<!-- BEGIN: error -->
					<p class="error">
						{ERROR}
					</p>
				<!-- END: error -->
				
				<form action="index.php?faculty_id={FACULTY.id}" method="post">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th>
							Prihlasovacie meno:
						</th>
						<td>
							<input type="text" name="login" value="{LOGINDATA.login}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Heslo:
						</th>
						<td>
							<input type="password" name="password" value="" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							&nbsp;
						</th>
						<td>
							<input type="submit" name="dologin" value="Prihlsi" />
						</td>
					</tr>
				</table>
				</form>
			</div>
			<!-- END: login -->
			
			<!-- BEGIN: registration_new -->
			<div class="menuPanel form {SUPRESS.registration_new}">
				<h2 id="registration">
					Registrcia - novoprijat tudenti
				</h2>
				

				<!-- BEGIN: form -->
				<p>
					Prihlsi sa a poda iados budete mc a po zaregistrovan. Zadajte prosm prihlasovacie meno, e-mailov adresu a heslo. Na zadan adresu Vm prde overovac e-mail. Ke registrciu overte budete sa mc prihlsi.
				</p>
				<p>
					Rodn slo xxxxxx/yyyy zadajte do formulra v tvare xxxxxxyyyy (ie bez lomtka).
				</p>

				<!-- BEGIN: error -->
					<p class="error">
						{ERROR}
					</p>
				<!-- END: error -->

				<form action="index.php?faculty_id={FACULTY.id}" method="post">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th>
							Rodn slo tudenta:
						</th>
						<td>
							<input type="text" name="birth_number" value="{DATA.birth_number}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Prihlasovacie meno:
						</th>
						<td>
							<input type="text" name="login" value="{DATA.login}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							E-mailov adresa:
						</th>
						<td>
							<input type="text" name="e_mail_address" value="{DATA.e_mail_address}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Heslo:
						</th>
						<td>
							<input type="password" name="password" value="" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Overenie hesla:
						</th>
						<td>
							<input type="password" name="password_verify" value="" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							&nbsp;
						</th>
						<td>
							<input type="submit" name="register_new" value="Zaregistrova" />
						</td>
					</tr>
				</table>
				</form>
				<!-- END: form -->
				
				<!-- BEGIN: done -->
				<p>
					Registrcia prebehla spene. Pokajte dokm Vm na adresu "<strong>{E_MAIL_ADDRESS}</strong>" prde e-mail s overovacou linkou. Tto linku zadte do prehliadaa (vinou sta klikn), a tak overte svoju registrciu. Prihlsi sa mete a po overen registrcie.<br /><br />
					<strong>Toto nie je podanie iadosti ale iba registrcia. Po overen registrcie sa muste prihlsi a poda iados.</strong>
				</p>
				<!-- END: done -->
				
				<!-- BEGIN: duplicities -->
				<p>
					Pravdepodobne tudujete na viacerch odboroch. Zvote si prosm, pre ktor chcete vytvori registrciu.
				</p>
				<ol>
					<!-- BEGIN: duplicity -->
					<li>
						<a href="index.php?faculty_id={FACULTY.id}&amp;register_new=true&amp;id={DUPLICITY.id}&amp;duplicities=true">{DUPLICITY.name} {DUPLICITY.surname}, {DUPLICITY.section_name} {DUPLICITY.study_type}</a>
					</li>
					<!-- END: duplicity -->
				</ol>
				<!-- END: duplicities -->

			</div>
			<!-- END: registration_new -->			
			
			<!-- BEGIN: registration -->
			<div class="menuPanel form {SUPRESS.registration}">
				<h2 id="registration">
					Registrcia - sasn tudenti
				</h2>
				

				<!-- BEGIN: form -->
				<p>
					Prihlsi sa mu iba zaregistrovan pouvatelia. Zadajte prosm prihlasovacie meno, e-mailov adresu a heslo. Na zadan adresu Vm prde overovac e-mail. Ke registrciu overte budete sa mc prihlsi.
				</p>
				<p>
					ISIC slo je prv slo pod fotkou na karte. M 10 sel zapsanch v tvare xxx yyy zzzz. Do formulra ich zadajte v tvare xxxyyyzzzz (ie bez medzier).
				</p>

				<!-- BEGIN: error -->
					<p class="error">
						{ERROR}
					</p>
				<!-- END: error -->

				<form action="index.php?faculty_id={FACULTY.id}" method="post">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th>
							ISIC slo tudenta:
						</th>
						<td>
							<input type="text" name="isic" value="{DATA.real_isic}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Prihlasovacie meno:
						</th>
						<td>
							<input type="text" name="login" value="{DATA.login}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							E-mailov adresa:
						</th>
						<td>
							<input type="text" name="e_mail_address" value="{DATA.e_mail_address}" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Heslo:
						</th>
						<td>
							<input type="password" name="password" value="" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							Overenie hesla:
						</th>
						<td>
							<input type="password" name="password_verify" value="" class="short" />
						</td>
					</tr>
					<tr>
						<th>
							&nbsp;
						</th>
						<td>
							<input type="submit" name="register" value="Zaregistrova" />
						</td>
					</tr>
				</table>
				</form>
				<!-- END: form -->
				
				<!-- BEGIN: done -->
				<p>
					Registrcia prebehla spene. Pokajte dokm Vm na adresu "<strong>{E_MAIL_ADDRESS}</strong>" prde e-mail s overovacou linkou. Tto linku zadte do prehliadaa (vinou sta klikn), a tak overte svoju registrciu. Prihlsi sa mete a po overen registrcie.
				</p>
				<!-- END: done -->				
				
				<!-- BEGIN: duplicities -->
				<p>
					Pravdepodobne tudujete na viacerch odboroch. Zvote si prosm, pre ktor chcete vytvori registrciu.
				</p>
				<ol>
					<!-- BEGIN: duplicity -->
					<li>
						<a href="index.php?faculty_id={FACULTY.id}&amp;register=true&amp;id={DUPLICITY.id}&amp;duplicities=true">{DUPLICITY.name} {DUPLICITY.surname}, {DUPLICITY.section_name} {DUPLICITY.study_type}</a>
					</li>
					<!-- END: duplicity -->
				</ol>
				<!-- END: duplicities -->

			</div>
			<!-- END: registration -->
						
			<!-- BEGIN: apply -->
			<div class="menuPanel applyinfo">
				<h2 id="apply" class="action">
					iados
				</h2>
				<!-- BEGIN: button -->
					<form action="index.php">
						<input type="hidden" name="faculty_id" value="{FACULTY.id}" />
						<input type="hidden" name="apply" value="true" />
						<input type="submit" value="Upravi" class="action" />
					</form>
				<!-- END: button -->
				<div class="reset"></div>
				
				<!-- BEGIN: description -->
				<div class="info">
					Na tomto mieste sa bud zobrazova Vae osobn daje, ktor uvediete do iadosti.<br /><br /><a href="index.php?apply=true&amp;faculty_id={FACULTY.id}">Vyplni iados o ubytovanie</a>.
				</div>
				<!-- END: description -->
				
				<!-- BEGIN: info -->
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th>
							Meno:
						</th>
						<td>
							{APPLYINFO.name}
						</td>
					</tr>
					<tr>
						<th>
							Priezvisko:
						</th>
						<td>
							{APPLYINFO.surname}
						</td>
					</tr>
					<tr>
						<th>
							Ulica, slo:
						</th>
						<td>
							{APPLYINFO.address}
						</td>
					</tr>
					<tr>
						<th>
							Obec:
						</th>
						<td>
							{APPLYINFO.city}
						</td>
					</tr>
					<tr>
						<th>
							PS:
						</th>
						<td>
							{APPLYINFO.psc}
						</td>
					</tr>
					<tr>
						<th>
							Priemer:
						</th>
						<td>
							{APPLYINFO.rating}
						</td>
					</tr>
				</table>
				<!-- END: info -->
			</div>
			<!-- END: apply -->

			<!-- BEGIN: place -->
			<div class="menuPanel places">
				<h2 id="place" class="action">
					Miesta
				</h2>
				<!-- BEGIN: button -->
				<form action="index.php">
					<input type="hidden" name="faculty_id" value="{FACULTY.id}" />
					<input type="hidden" name="places" value="true" />
					<input type="submit" value="Upravi" class="action" />
				</form>
				<!-- END: button -->
				
				<div class="reset"></div>
				
				<!-- BEGIN: description -->
				<div class="info">
					Na tomto mieste bud zobrazen miesta, o ktor mte zujem. Po vyplnen dajov v iadosti si budete mc vybra a 5 miest, na ktorch by ste chceli bva. 
				</div>
				<!-- END: description -->

				<!-- BEGIN: list -->
				<ol>
					<!-- BEGIN: item -->
					<li>
						{PLACE}
					</li>
					<!-- END: item -->
				</ol>
				<!-- END: list -->
			</div>
			<!-- END: place -->
			
			<!-- BEGIN: friend -->
			<div class="menuPanel friends">
				<h2 id="friend" class="action">
					Kamarti
				</h2>
				<!-- BEGIN: button -->			
				<form action="index.php">
					<input type="hidden" name="faculty_id" value="{FACULTY.id}" />
					<input type="hidden" name="friends" value="true" />
					<input type="submit" value="Upravi" class="action" />
				</form>
				<!-- END: button -->
				
				<div class="reset"></div>
				<!-- BEGIN: description -->
				<div class="info">
					Na tomto mieste bud zobrazen kamarti, s ktormi chcete bva na tej istej izbe, bunke, chodbe, a pod. Kamartov nemuste zadva ak nikto z vs nemen izbu. Zoznam kamartov je pomcka pre ubytovaciu komisiu, aby vedela, s km chcete bva.
				</div>
				<!-- END: description -->

				<!-- BEGIN: list -->
					<p>
						{FRIENDS}
					</p>
				<!-- END: list -->
			</div>
			<!-- END: friend -->

			<!-- BEGIN: admin -->
			<div class="menuPanel friends">
				<h2 id="friend" class="action">
					Administrcia
				</h2>
				<div class="reset"></div>
				<ul>
					<li>
						<a href="index.php?friends_groups=true&amp;faculty_id={FACULTY.id}">Skupiny kamartov</a>
					</li>
				</ul>
			</div>
			<!-- END: admin -->

			<!-- BEGIN: crossroad -->
			<div class="menuPanel friends">
				<h2 id="friend" class="action">
					Vyberte si fakultu
				</h2>
				<div class="reset"></div>
				<p>
					Vyberte si prosm fakultu, na ktorej chcete poiada alebo ste u poiadali o ubytovanie.
				</p>
			</div>
			<!-- END: crossroad -->
			
			<!-- BEGIN: backlink -->
			<div class="menuPanel friends">
				<a href="index.php">sp na vber fakulty</a>
			</div>
			<!-- END: backlink -->
		</div>
		<div class="reset footer">strnku spravuje <a href="http://skas.fmph.uniba.sk/">tudentsk komora akademickho sentu FMFI UK</a></div>
	</div>
</body>
</html>
<!-- END: main -->
